use `sys-user`;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : sys-user

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 17/12/2020 11:52:26
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '菜单名称',
  `parent_id` bigint(20) NOT NULL DEFAULT -1 COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '编码，与前端对应',
  `order_no` int(11) NOT NULL DEFAULT 0 COMMENT '排序，从小到大',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 90 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统菜单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '控制台', -1, 'YH-KZT', 1, '用户-控制台');
INSERT INTO `sys_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '更多服务', -1, 'YH-GDFW', 2, '用户-更多服务');
INSERT INTO `sys_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '机构中心', -1, 'YH-JGZX', 3, '用户-机构中心');
INSERT INTO `sys_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '账号信息', 3, 'YH-JGZX-ZHXX', 1, '用户-机构中心-账号信息');
INSERT INTO `sys_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '已开通产品', 3, 'YH-JGZX-YKTCP', 2, '用户-机构中心-已开通产品');
INSERT INTO `sys_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '安全设置', 3, 'YH-JGZX-AQSZ', 5, '用户-机构中心-安全设置');
INSERT INTO `sys_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '管理服务端', 3, 'YH-JGZX-GLFFD', 3, '用户-机构中心-管理服务端');
INSERT INTO `sys_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '客户中心', -1, 'LT-KHZX', 2, '朗通-客户中心');
INSERT INTO `sys_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '机构信息', 10, 'LT-KHZX-JGXX', 2, '朗通-客户中心-机构信息');
INSERT INTO `sys_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '控制台', -1, 'LT-KZT', 1, '朗通-控制台');
INSERT INTO `sys_menu` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '已生成令牌', 3, 'YH-JGZX-YSCLP', 4, '用户-机构中心-已生成令牌');
INSERT INTO `sys_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '注册用户', 10, 'LT-KHZX-ZCYH', 1, '朗通-客户中心-注册用户');
INSERT INTO `sys_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '审核超管信息', 10, 'LT-KHZX-CGXX', 3, '朗通-客户中心-超管信息');
INSERT INTO `sys_menu` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '订单系统', -1, 'LT-DDXT', 3, '朗通-订单系统');
INSERT INTO `sys_menu` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '产品申请列表', 17, 'LT-DDXT-CPXSQLB', 1, '朗通-订单系统-产品申请列表');
INSERT INTO `sys_menu` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '产品线管理', -1, 'LT-CPXGL', 4, '朗通-产品线管理');
INSERT INTO `sys_menu` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '个人中心', -1, 'LT-GRZX', 99, '朗通-个人中心');
INSERT INTO `sys_menu` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '已认证超管信息', 10, 'LT-YRZCGXX', 0, '朗通-客户中心-已认证超管信息');
INSERT INTO `sys_menu` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '产品续费列表', 17, 'LT-CPXFLB', 2, '朗通-订单系统-产品续费列表');
INSERT INTO `sys_menu` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ICSS数据维护', -1, 'LT-YXSJWH', 5, '朗通-ICSS数据维护');
INSERT INTO `sys_menu` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '标签组维护', 23, 'LT-YXSJWH-BQZWH', 10, '朗通-ICSS数据维护-标签组维护');
INSERT INTO `sys_menu` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '独立类型标签维护', 23, 'LT-YXSJWH-DLLXBQWH', 20, '朗通-ICSS数据维护-独立类型标签维护');
INSERT INTO `sys_menu` VALUES (27, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '别名维护', 23, 'LT-YXSJWH-BMWH', 25, '朗通-ICSS数据维护-别名维护');
INSERT INTO `sys_menu` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模版维护', 23, 'LT-YXSJWH-MBWH', 30, '朗通-ICSS数据维护-模版维护');
INSERT INTO `sys_menu` VALUES (30, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'icss科室维护', 23, 'LT-YXSJWH-KSWH', 40, '朗通-ICSS数据维护-icss科室维护');
INSERT INTO `sys_menu` VALUES (31, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '常见选项维护', 23, 'LT-YXSJWH-CJXXWH', 45, '朗通-ICSS数据维护-常见选项维护');
INSERT INTO `sys_menu` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免责声明维护', 38, 'LT-YXSJKWH-MZSMWH', 90, '朗通-医学术语库维护-免责声明维护');
INSERT INTO `sys_menu` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '版本信息维护', 60, 'LT-GBBXXWH-BBXXWH', 60, '朗通-各版本信息维护-版本信息维护');
INSERT INTO `sys_menu` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '查体模板维护', 23, 'LT-YXSJWH-CTMBWH', 40, '朗通-ICSS数据维护-查体模板维护');
INSERT INTO `sys_menu` VALUES (37, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '提示信息维护', 23, 'LT-YXSJWH-TSXXWH', 50, '朗通-ICSS数据维护-提示信息维护');
INSERT INTO `sys_menu` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语库维护', -1, 'LT-YXSYKWH', 6, '朗通-医学术语库维护');
INSERT INTO `sys_menu` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语命名维护', 38, 'LT-YXSYKWH-YXSYMMWH', 10, '朗通-医学术语库维护-医学术语命名维护');
INSERT INTO `sys_menu` VALUES (40, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '术语医学属性维护', 38, 'LT-YXSYKWH-SYYXSXWH', 2, '朗通-医学术语库维护-术语医学属性维护');
INSERT INTO `sys_menu` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语关系维护', 38, 'LT-YXSYKWH-YXSYGXWH', 20, '朗通-医学术语库维护-医学术语关系维护');
INSERT INTO `sys_menu` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语静态知识维护', 38, 'LT-YXSYKWH-YXSYJTZSWH', 50, '朗通-医学术语库维护-医学术语静态知识维护');
INSERT INTO `sys_menu` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验大小项与公表项对应维护', 38, 'LT-YXSJWH-HYDXXYGBXDY', 85, '朗通-医学术语库维护-化验大小项与公表项对应维护');
INSERT INTO `sys_menu` VALUES (44, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢病管理与评估维护', 23, 'LT-YXSJWH-MBGLYPG', 75, '朗通-ICSS数据维护-慢病管理与评估维护');
INSERT INTO `sys_menu` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢病指标值关联维护', 38, 'LT-YXSYKWH-MBZBZGLWH', 70, '朗通-医学术语库维护-慢病指标值关联维护');
INSERT INTO `sys_menu` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表结构维护', 38, 'LT-YXSYKWH-LBJGWH', 60, '朗通-医学术语库维护-量表结构维护');
INSERT INTO `sys_menu` VALUES (49, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语类型维护', 38, 'LT-YXSYKWH-YXSYLXWH', 5, '朗通-医学术语库维护-医学术语类型维护');
INSERT INTO `sys_menu` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验子项维护', 38, 'LT-YXSYKWH-HYZXWH', 80, '朗通-医学术语库维护-化验子项维护');
INSERT INTO `sys_menu` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语关联维护', 38, 'LT-YXSYKWH-YXSYGLWH', 30, '朗通-医学术语库维护-医学术语关联维护');
INSERT INTO `sys_menu` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分诊人体图数据维护', 38, 'LT-YXSYKWH-YXSYDCGLWH', 40, '朗通-医学术语库维护-医学术语多层关联维护');
INSERT INTO `sys_menu` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '预问诊数据维护', -1, 'LT-YWZSJWH', 8, '朗通-预问诊数据维护');
INSERT INTO `sys_menu` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '独立填写单维护', 53, 'LT-YWZSJWH-DLTXDWH', 1, '朗通-预问诊数据维护-独立填写单维护');
INSERT INTO `sys_menu` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组合填写单维护', 53, 'LT-YWZSJWH-ZHTXDWH', 2, '朗通-预问诊数据维护-组合填写单维护');
INSERT INTO `sys_menu` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模版维护', 53, 'LT-YWZSJWH-MBWH', 3, '朗通-预问诊数据维护-模版维护');
INSERT INTO `sys_menu` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断依据维护', -1, 'LT-ZDYJWH', 10, '朗通-诊断依据维护');
INSERT INTO `sys_menu` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断依据数据维护', 57, 'LT-ZDYJWH-ZDYJSJWH', 10, '朗通-诊断依据维护-诊断依据数据维护');
INSERT INTO `sys_menu` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '问题词数据维护', 57, 'LT-ZDYJWH-WTCSJWH', 20, '朗通-诊断依据维护-问题词数据维护');
INSERT INTO `sys_menu` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各版本信息维护', -1, 'LT-GBBXXWH', 11, '朗通-各版本信息维护');
INSERT INTO `sys_menu` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数据统计', -1, 'LT-SJTJ', 12, '朗通-数据统计');
INSERT INTO `sys_menu` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学数据统计', 61, 'LT-SJTJ-YXSJTJ', 1, '朗通-数据统计-医学数据统计');
INSERT INTO `sys_menu` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检子项维护', 38, 'LT-YXSYKWH-FJZXWH', 86, '朗通-医学术语库维护-辅检子项维护');
INSERT INTO `sys_menu` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检层级关联维护', 38, 'LT-YXSYKWH-FJCJGLWH', 87, '朗通-医学术语库维护-辅检层级关联维护');
INSERT INTO `sys_menu` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '安全管理', -1, 'LT-AQGL', 13, '朗通-安全管理');
INSERT INTO `sys_menu` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'license维护', 65, 'LT-AQGL-LICENSEWH', 1, '朗通-安全管理-license维护');
INSERT INTO `sys_menu` VALUES (67, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病历管理', -1, 'LT-BLGL', 14, '朗通-病历管理');
INSERT INTO `sys_menu` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则维护', 38, 'LT-YXSYKWH-GZWH', 91, '朗通-医学术语库维护-规则维护');
INSERT INTO `sys_menu` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则应用维护', 38, 'LT-YXSYKWH-GZYYWH', 92, '朗通-医学术语库维护-规则应用维护');
INSERT INTO `sys_menu` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病例入录', -1, 'LT-BLZK-BLRl', 15, '朗通-病例入录');
INSERT INTO `sys_menu` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控条目', 72, 'LT-ZKYMSJWH-ZKTM', 1, '朗通-质控页面数据维护-质控条目');
INSERT INTO `sys_menu` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控页面数据维护', -1, 'LT-ZKYMSJWH', 17, '朗通-质控页面数据维护');
INSERT INTO `sys_menu` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '字段映射维护', 72, 'LT-ZKYMSJWH-ZDYSWH', 5, '朗通-质控页面数据维护-字段映射维护');
INSERT INTO `sys_menu` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组合字段维护', 72, 'LT-ZKYMSJWH-ZHDYWH', 10, '朗通-质控页面数据维护-组合字段维护');
INSERT INTO `sys_menu` VALUES (75, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模板维护', 72, 'LT-ZKYMSJWH-MBWH', 15, '朗通-质控页面数据维护-模板维护');
INSERT INTO `sys_menu` VALUES (76, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控类型维护', 72, 'LT-ZKYMSJWH-ZKLXWH', 20, '朗通-质控页面数据维护-质控类型维护');
INSERT INTO `sys_menu` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目关联质控类型', 72, 'LT-ZKYMSJWH-TMGLZKLX', 25, '朗通-质控页面数据维护-条目关联质控类型');
INSERT INTO `sys_menu` VALUES (78, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '标准病历', 72, 'LT-ZKYMSJWH-BZBL', 50, '朗通-质控页面数据维护-标准病历');
INSERT INTO `sys_menu` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自动化测试统计', 72, 'LT-ZKYMSJWH-ZDHCSTJ', 55, '朗通-质控页面数据维护-自动化测试统计');
INSERT INTO `sys_menu` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '任务列表', 72, 'LT-ZKYMSJWH-RWLB', 56, '朗通-质控页面数据维护-任务列表');
INSERT INTO `sys_menu` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'CDSS数据维护', -1, 'LT-CDSSSJWH', 100, '朗通-CDSS数据维护');
INSERT INTO `sys_menu` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态术语知识维护', 81, 'LT-CDSSSJWH-JTSYZSWH', 10, '朗通-CDSS数据维护-静态术语知识维护');
INSERT INTO `sys_menu` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语关联维护', 81, 'LT-CDSSSJWH-YXSYGLWH', 20, '朗通-CDSS数据维护-医学术语关联维护');
INSERT INTO `sys_menu` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院管理', 81, 'LT-CDSSSJWH-YYGL', 30, '朗通-CDSS数据维护-医院管理');
INSERT INTO `sys_menu` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院用户管理', 81, 'LT-CDSSSJWH-YYYHGL', 40, '朗通-CDSS数据维护-医院用户管理');
INSERT INTO `sys_menu` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电子病历方案配置', 81, 'LT-CDSSSJWH-DZBLFAPZ', 50, '朗通-CDSS数据维护-电子病历方案配置');
INSERT INTO `sys_menu` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '版本维护', 81, 'LT-CDSSSJWH-BBWH', 60, '朗通-CDSS数据维护-版本维护');
INSERT INTO `sys_menu` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免责声明维护', 81, 'LT-CDSSSJWH-MZSMWH', 70, '朗通-CDSS数据维护-免责声明维护');
INSERT INTO `sys_menu` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '知识图谱标准术语维护', 81, 'LT-CDSSSJWH-ZSTPBZSYWH', 0, '朗通-CDSS数据维护-知识图谱标准术语维护');

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : sys-user

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 17/12/2020 11:52:38
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '角色id',
  `menu_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '菜单id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 98 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 1, '用户-控制台');
INSERT INTO `sys_role_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 2, '用户-更多服务');
INSERT INTO `sys_role_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 3, '用户-机构中心');
INSERT INTO `sys_role_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 4, '用户-机构中心-账号信息');
INSERT INTO `sys_role_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 5, '用户-机构中心-已开通产品');
INSERT INTO `sys_role_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 6, '用户-机构中心-安全设置');
INSERT INTO `sys_role_menu` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 9, '用户-机构中心-管理服务端');
INSERT INTO `sys_role_menu` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 14, '用户-机构中心-已生成令牌');
INSERT INTO `sys_role_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 10, '朗通-客户中心');
INSERT INTO `sys_role_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 11, '朗通-客户中心-机构信息');
INSERT INTO `sys_role_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 12, '朗通-控制台');
INSERT INTO `sys_role_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 15, '朗通-客户中心-注册用户');
INSERT INTO `sys_role_menu` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 16, '朗通-客户中心-审核超管信息');
INSERT INTO `sys_role_menu` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 17, '朗通-订单系统');
INSERT INTO `sys_role_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 18, '朗通-订单系统-产品线申请列表');
INSERT INTO `sys_role_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 19, '朗通-产品线管理');
INSERT INTO `sys_role_menu` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 20, '朗通-个人中心');
INSERT INTO `sys_role_menu` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 21, '朗通-客户中心-已认证超管信息');
INSERT INTO `sys_role_menu` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 22, '朗通-订单系统-产品续费列表');
INSERT INTO `sys_role_menu` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 23, '朗通-ICSS数据维护');
INSERT INTO `sys_role_menu` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 24, '朗通-ICSS数据维护-标签组维护');
INSERT INTO `sys_role_menu` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 25, '朗通-ICSS数据维护-独立类型标签维护');
INSERT INTO `sys_role_menu` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 27, '朗通-ICSS数据维护-别名维护');
INSERT INTO `sys_role_menu` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 28, '朗通-ICSS数据维护-模版维护');
INSERT INTO `sys_role_menu` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 29, '朗通-ICSS数据维护-查体模版维护');
INSERT INTO `sys_role_menu` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 30, '朗通-ICSS数据维护-icss科室维护');
INSERT INTO `sys_role_menu` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 31, '朗通-ICSS数据维护-常见选项维护');
INSERT INTO `sys_role_menu` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 32, '朗通-ICSS数据维护-提示信息维护');
INSERT INTO `sys_role_menu` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 33, '朗通-ICSS数据维护-免责声明维护');
INSERT INTO `sys_role_menu` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 34, '朗通-各版本信息维护-版本信息维护');
INSERT INTO `sys_role_menu` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 35, '朗通-ICSS数据维护-查体模板维护');
INSERT INTO `sys_role_menu` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 38, '朗通-医学术语库维护');
INSERT INTO `sys_role_menu` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 39, '朗通-医学术语库维护-医学术语命名维护');
INSERT INTO `sys_role_menu` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 40, '朗通-医学术语库维护-术语医学属性维护');
INSERT INTO `sys_role_menu` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 41, '朗通-医学术语库维护-医学术语关系维护');
INSERT INTO `sys_role_menu` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 42, '朗通-医学术语库维护-医学术语静态知识维护');
INSERT INTO `sys_role_menu` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 43, '朗通-医学术语库维护-化验大小项与公表项对应维护');
INSERT INTO `sys_role_menu` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 44, '朗通-ICSS数据维护-慢病管理与评估维护');
INSERT INTO `sys_role_menu` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 45, '朗通-ICSS数据维护-慢病指标值关联维护');
INSERT INTO `sys_role_menu` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 48, '朗通-医学术语库维护-量表结构维护');
INSERT INTO `sys_role_menu` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 49, '朗通-医学术语库维护-医学术语类型维护');
INSERT INTO `sys_role_menu` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 51, '朗通-医学术语库维护-医学术语关联维护');
INSERT INTO `sys_role_menu` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 52, '朗通-医学术语库维护-医学术语多层关联维护');
INSERT INTO `sys_role_menu` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 50, '朗通-医学术语库维护-化验子项维护');
INSERT INTO `sys_role_menu` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 53, '朗通-预问诊数据维护');
INSERT INTO `sys_role_menu` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 54, '朗通-预问诊数据维护-独立填写单维护');
INSERT INTO `sys_role_menu` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 55, '朗通-预问诊数据维护-组合填写单维护');
INSERT INTO `sys_role_menu` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 56, '朗通-预问诊数据维护-模版维护');
INSERT INTO `sys_role_menu` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 57, '朗通-诊断依据维护');
INSERT INTO `sys_role_menu` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 58, '朗通-诊断依据维护-诊断依据数据维护');
INSERT INTO `sys_role_menu` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 59, '朗通-诊断依据维护-问题词数据维护');
INSERT INTO `sys_role_menu` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 60, '朗通-各版本信息维护-版本信息维护');
INSERT INTO `sys_role_menu` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 10, '朗通-客户中心');
INSERT INTO `sys_role_menu` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 15, '朗通-客户中心-注册用户');
INSERT INTO `sys_role_menu` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 61, '朗通-数据统计');
INSERT INTO `sys_role_menu` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 62, '朗通-数据统计-医学数据统计');
INSERT INTO `sys_role_menu` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 63, '朗通-医学术语库维护-辅检子项维护');
INSERT INTO `sys_role_menu` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 64, '朗通-医学术语库维护-辅检层级关联维护');
INSERT INTO `sys_role_menu` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, 65, '朗通-安全管理');
INSERT INTO `sys_role_menu` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, 66, '朗通-安全管理-license维护');
INSERT INTO `sys_role_menu` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 67, '朗通-病历管理');
INSERT INTO `sys_role_menu` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 42, '朗通-医学术语库维护-医学术语静态知识维护');
INSERT INTO `sys_role_menu` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 68, '朗通-医学术语库维护-规则维护');
INSERT INTO `sys_role_menu` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 69, '朗通-医学术语库维护-规则应用维护');
INSERT INTO `sys_role_menu` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 38, '朗通-医学术语库维护');
INSERT INTO `sys_role_menu` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, 70, '朗通-病历入录');
INSERT INTO `sys_role_menu` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 71, '朗通-质控页面数据维护-质控条目');
INSERT INTO `sys_role_menu` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 72, '朗通-质控页面数据维护');
INSERT INTO `sys_role_menu` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 73, '朗通-质控页面数据维护-字段映射维护');
INSERT INTO `sys_role_menu` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 74, '朗通-质控页面数据维护-组合字段维护');
INSERT INTO `sys_role_menu` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 75, '朗通-质控页面数据维护-模板维护');
INSERT INTO `sys_role_menu` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 76, '朗通-质控页面数据维护-质控类型维护');
INSERT INTO `sys_role_menu` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 77, '朗通-质控页面数据维护-条目关联质控类型');
INSERT INTO `sys_role_menu` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 78, '朗通-质控页面数据维护-标准病历');
INSERT INTO `sys_role_menu` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 79, '朗通-质控页面数据维护-自动化测试统计');
INSERT INTO `sys_role_menu` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 80, '朗通-质控页面数据维护-任务列表');
INSERT INTO `sys_role_menu` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 81, '朗通-CDSS数据维护');
INSERT INTO `sys_role_menu` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 82, '朗通-CDSS数据维护-静态术语知识维护');
INSERT INTO `sys_role_menu` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 83, '朗通-CDSS数据维护-医学术语关联维护');
INSERT INTO `sys_role_menu` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 84, '朗通-CDSS数据维护-医院管理');
INSERT INTO `sys_role_menu` VALUES (93, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 85, '朗通-CDSS数据维护-医院用户管理');
INSERT INTO `sys_role_menu` VALUES (94, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 86, '朗通-CDSS数据维护-电子病历方案配置');
INSERT INTO `sys_role_menu` VALUES (95, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 87, '朗通-CDSS数据维护-版本维护');
INSERT INTO `sys_role_menu` VALUES (96, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 88, '朗通-CDSS数据维护-免责声明维护');
INSERT INTO `sys_role_menu` VALUES (97, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 89, '朗通-CDSS数据维护-知识图谱标准术语维护');

SET FOREIGN_KEY_CHECKS = 1;


use `cdss`;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 17/12/2020 15:47:27
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_dictionary_info`;
CREATE TABLE `sys_dictionary_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT 0 COMMENT '分组（值自定义）',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT 1 COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT 0 COMMENT '排序号',
  `remark` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 80 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'CDSS字典表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dictionary_info
-- ----------------------------
INSERT INTO `sys_dictionary_info` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '全部', '0', 2, 1, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '诊断', '1', 2, 10, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '药品', '2', 2, 20, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '检验', '3', 2, 30, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '检查', '5', 2, 40, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '手术和操作', '6', 2, 50, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '诊断', '医保疾病名称', 0, 1, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品', '药品通用名称', 0, 6, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检验套餐', '实验室检查套餐名', 0, 2, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检验细项', '实验室检查名称', 0, 3, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检查', '辅助检查名称', 0, 4, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '手术和操作', '医保手术和操作名称', 0, 7, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '', '0', 0, 1, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '注射剂', '1', 0, 10, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '片剂', '2', 0, 20, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '缓释剂', '3', 0, 30, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '胶囊剂', '4', 0, 40, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '滴丸剂', '5', 0, 50, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检查子项', '辅助检查子项目名称', 0, 5, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '诊断', '1', 0, 1, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '药品', '2', 0, 2, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检验套餐', '3', 0, 3, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检验细项', '4', 0, 4, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检查', '5', 0, 5, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检查子项', '6', 0, 6, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '手术和操作', '7', 0, 7, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品类别', '药品类别', 0, 20, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '检验套餐', '1', 0, 1, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '检查', '2', 0, 2, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '检查子项', '3', 0, 3, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '手术和操作', '4', 0, 4, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '药品注册名称', '5', 0, 5, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '性别', '1', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '实验室检查', '2', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '临床表现', '3', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '辅助检查名称描述', '4', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '疾病', '5', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '服用药品', '6', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '药物过敏原', '7', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '食物过敏原', '8', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '手术', '9', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '禁忌人群', '10', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '过敏原', '11', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '体征', '12', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '禁忌医疗器械及物品', '13', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '年龄', '14', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '给药途径', '15', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '开单项互斥', '16', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '疾病（开单合理性）', '疾病', 0, 8, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '实验室检查细项（开单合理性）', '实验室检查', 0, 9, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '化验细项及结果（推理）', '化验细项及结果', 0, 10, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '实验室检查危急值', '实验室检查危急值', 0, 11, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '化验提醒指标', '化验提醒指标', 0, 12, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '化验套餐名称（推理）', '化验套餐名称', 0, 13, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅助检查危急值', '辅助检查危急值', 0, 14, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅助检查结果（开单合理性）', '辅助检查名称描述', 0, 15, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅助检查结果（诊断依据）', '辅助检查名称结果', 0, 16, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅检提醒指标', '辅检提醒指标', 0, 17, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品代码通用名', '药品代码通用名', 0, 18, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品注册名称', '药品注册名称', 0, 19, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品治疗学类别', '药品治疗学类别', 0, 21, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品药理学类别', '药品药理学类别', 0, 22, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品解剖学类别', '药品解剖学类别', 0, 23, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品化学物质类别', '药品化学物质类别', 0, 24, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '服用药品（开单合理性）', '服用药品', 0, 25, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '禁忌医疗器械及物品', '禁忌医疗器械及物品', 0, 26, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '性别', '性别', 0, 27, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '体征', '体征', 0, 28, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '症状', '症状', 0, 29, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '临床表现', '临床表现', 0, 30, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '科室', '科室', 0, 31, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '开单项互斥', '开单项互斥', 0, 32, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '禁忌人群', '禁忌人群', 0, 33, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (75, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '建议输血提醒', '建议输血提醒', 0, 34, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (76, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药物过敏原', '药物过敏原', 0, 35, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '其他过敏原', '过敏原', 0, 36, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (78, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '食物过敏原', '食物过敏原', 0, 37, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '输血提醒指标', '输血提醒指标', 0, 38, '图谱标签与页面显示类型对应关系');

SET FOREIGN_KEY_CHECKS = 1;
