USE `cdss`;
/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 17:31:08
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for tran_scale_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_scale_config`;
CREATE TABLE `tran_scale_config`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `his_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '医院项目名称',
  `unique_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '标准名称',
  `unique_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准编码',
  PRIMARY KEY (`id`),
  KEY `idx_his_name` (`hospital_id`,`his_name`) USING BTREE,
  KEY `idx_unique_name` (`hospital_id`,`unique_name`) USING BTREE,
  KEY `idx_hospital_id` (`hospital_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '量表映射表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 17:30:26
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '菜单名称',
  `parent_id` bigint(20) NOT NULL DEFAULT -1 COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '编码，与前端对应',
  `order_no` int(11) NOT NULL DEFAULT 0 COMMENT '排序，从小到大',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统菜单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语库维护', -1, 'CDSS-YXSYK', 1, '');
INSERT INTO `sys_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '系统配置', -1, 'CDSS-XTPZ', 2, '');
INSERT INTO `sys_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断关联维护', 1, 'YXSYK-ZDGLWH', 2, '医学术语库维护-诊断关联维护');
INSERT INTO `sys_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '检验关联维护', 1, 'YXSYK-JYGLWH', 3, '医学术语库维护-检验关联维护');
INSERT INTO `sys_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '检查关联维护', 1, 'YXSYK-JCGLWH', 4, '医学术语库维护-检验关联维护-检查关联维护');
INSERT INTO `sys_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品关联维护', 1, 'YXSYK-YPGLWH', 5, '');
INSERT INTO `sys_menu` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术/操作关联维护', 1, 'YXSYK-SSCZGLWH', 6, '');
INSERT INTO `sys_menu` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室关联维护', 1, 'YXSYK-KSGLWH', 8, '');
INSERT INTO `sys_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语静态知识维护', 1, 'YXSYK-JTZSWH', 1, '');
INSERT INTO `sys_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关联维护设置', 1, 'YXSYK-GLWH', 10, '');
INSERT INTO `sys_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电子病历方案配置', 2, 'XTPZ-DZBLFAPZ', 1, '');
INSERT INTO `sys_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血关联维护', 1, 'YXSYK-SXGLWH', 7, '');
INSERT INTO `sys_menu` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则维护', -1, 'CDSS-GZWH', 3, '规则维护');
INSERT INTO `sys_menu` VALUES (14, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '开单合理性规则维护', 13, 'GZWH-KDHLXGZWH', 1, '规则维护-开单合理性规则维护');
INSERT INTO `sys_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则维护', 13, 'GZWH-GZWH', 1, '规则维护-规则维护');
INSERT INTO `sys_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表关联维护', 1, 'YXSYK-LBGLWH', 9, '医学术语库维护-量表关联维护');

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 17:30:42
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资源ID',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源名称',
  `code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源编码',
  `permissionUrl` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源Url',
  `method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'ALL' COMMENT '资源允许的请求方式',
  `descritpion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源描述',
  `type` int(11) NULL DEFAULT 0 COMMENT 'token验证，0关，1开',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 75 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统资源表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_permission
-- ----------------------------
INSERT INTO `sys_permission` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用户账号-获取用户、医院、菜单信息', 'FUNC000001', '/sys/user/getUserOrgMenu', 'ALL', '基础功能-用户账号-获取用户、医院、菜单信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改密码', 'FUNC000002', '/sys/user/midifyPassword', 'ALL', '基础功能-修改密码', 0, NULL);
INSERT INTO `sys_permission` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '根据医院获取方案配置信息', 'FUNC000003', '/sys/plan/getSysPlanInfoDatas', 'ALL', '根据医院获取方案配置信息', 1, NULL);
INSERT INTO `sys_permission` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-映射关系是否已存在', 'FUNC000004', '/tran/diseaseConfig/isExistRecord', 'ALL', '诊断公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-保存或修改映射关系', 'FUNC000005', '/tran/diseaseConfig/saveOrUpdateRecord', 'ALL', '诊断公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-批量保存或修改映射关系', 'FUNC000006', '/tran/diseaseConfig/saveOrUpdateRecords', 'ALL', '诊断公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-删除映射关系', 'FUNC000007', '/tran/diseaseConfig/deleteRecord', 'ALL', '诊断公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-批量删除映射关系', 'FUNC000008', '/tran/diseaseConfig/deleteRecords', 'ALL', '诊断公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-公表数据导入', 'FUNC000009', '/tran/diseaseConfig/importExcel', 'ALL', '诊断公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-数据导出', 'FUNC000010', '/tran/diseaseConfig/exportExcel', 'ALL', '诊断公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-映射关系是否已存在', 'FUNC000011', '/tran/lisConfig/isExistRecord', 'ALL', '化验公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-保存或修改映射关系', 'FUNC000012', '/tran/lisConfig/saveOrUpdateRecord', 'ALL', '化验公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-批量保存或修改映射关系', 'FUNC000013', '/tran/lisConfig/saveOrUpdateRecords', 'ALL', '化验公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-删除映射关系', 'FUNC000014', '/tran/lisConfig/deleteRecord', 'ALL', '化验公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-批量删除映射关系', 'FUNC000015', '/tran/lisConfig/deleteRecords', 'ALL', '化验公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-公表数据导入', 'FUNC000016', '/tran/lisConfig/importExcel', 'ALL', '化验公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-数据导出', 'FUNC000017', '/tran/lisConfig/exportExcel', 'ALL', '化验公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-映射关系是否已存在', 'FUNC000018', '/tran/pacsConfig/isExistRecord', 'ALL', '辅检公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-保存或修改映射关系', 'FUNC000019', '/tran/pacsConfig/saveOrUpdateRecord', 'ALL', '辅检公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-批量保存或修改映射关系', 'FUNC000020', '/tran/pacsConfig/saveOrUpdateRecords', 'ALL', '辅检公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-删除映射关系', 'FUNC000021', '/tran/pacsConfig/deleteRecord', 'ALL', '辅检公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-批量删除映射关系', 'FUNC000022', '/tran/pacsConfig/deleteRecords', 'ALL', '辅检公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-公表数据导入', 'FUNC000023', '/tran/pacsConfig/importExcel', 'ALL', '辅检公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-数据导出', 'FUNC000024', '/tran/pacsConfig/exportExcel', 'ALL', '辅检公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-映射关系是否已存在', 'FUNC000025', '/tran/drugConfig/isExistRecord', 'ALL', '药品公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-保存或修改映射关系', 'FUNC000026', '/tran/drugConfig/saveOrUpdateRecord', 'ALL', '药品公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-批量保存或修改映射关系', 'FUNC000027', '/tran/drugConfig/saveOrUpdateRecords', 'ALL', '药品公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-删除映射关系', 'FUNC000028', '/tran/drugConfig/deleteRecord', 'ALL', '药品公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-批量删除映射关系', 'FUNC000029', '/tran/drugConfig/deleteRecords', 'ALL', '药品公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-公表数据导入', 'FUNC000030', '/tran/drugConfig/importExcel', 'ALL', '药品公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-数据导出', 'FUNC000031', '/tran/drugConfig/exportExcel', 'ALL', '药品公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-映射关系是否已存在', 'FUNC000032', '/tran/operationConfig/isExistRecord', 'ALL', '手术公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-保存或修改映射关系', 'FUNC000033', '/tran/operationConfig/saveOrUpdateRecord', 'ALL', '手术公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-批量保存或修改映射关系', 'FUNC000034', '/tran/operationConfig/saveOrUpdateRecords', 'ALL', '手术公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-删除映射关系', 'FUNC000035', '/tran/operationConfig/deleteRecord', 'ALL', '手术公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-批量删除映射关系', 'FUNC000036', '/tran/operationConfig/deleteRecords', 'ALL', '手术公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-公表数据导入', 'FUNC000037', '/tran/operationConfig/importExcel', 'ALL', '手术公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-数据导出', 'FUNC000038', '/tran/operationConfig/exportExcel', 'ALL', '手术公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-映射关系是否已存在', 'FUNC000039', '/tran/deptConfig/isExistRecord', 'ALL', '科室公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-保存或修改映射关系', 'FUNC000040', '/tran/deptConfig/saveOrUpdateRecord', 'ALL', '科室公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-批量保存或修改映射关系', 'FUNC000041', '/tran/deptConfig/saveOrUpdateRecords', 'ALL', '科室公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-删除映射关系', 'FUNC000042', '/tran/deptConfig/deleteRecord', 'ALL', '科室公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-批量删除映射关系', 'FUNC000043', '/tran/deptConfig/deleteRecords', 'ALL', '科室公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-公表数据导入', 'FUNC000044', '/tran/deptConfig/importExcel', 'ALL', '科室公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-数据导出', 'FUNC000045', '/tran/deptConfig/exportExcel', 'ALL', '科室公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-医学术语检索-新增静态知识', 'FUNC000046', '/kl/conceptInfo/staticKnowledgeIndexWithoutInfo', 'ALL', '静态知识标准术语-医学术语检索-新增静态知识', 0, NULL);
INSERT INTO `sys_permission` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-获取静态知识列表', 'FUNC000047', '/kl/conceptInfo/getPage', 'ALL', '静态知识标准术语-获取静态知识列表', 0, NULL);
INSERT INTO `sys_permission` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-保存静态知识-新增或修改', 'FUNC000048', '/kl/conceptInfo/saveOrUpdateRecord', 'ALL', '静态知识标准术语-保存静态知识-新增或修改', 0, NULL);
INSERT INTO `sys_permission` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-静态知识启用禁用', 'FUNC000049', '/kl/conceptInfo/changeStatus', 'ALL', '静态知识标准术语-静态知识启用禁用', 0, NULL);
INSERT INTO `sys_permission` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-静态知识是否存在', 'FUNC000050', '/kl/conceptInfo/isExist', 'ALL', '静态知识标准术语-静态知识是否存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-根据术语id获取静态信息', 'FUNC000051', '/kl/conceptInfo/getRecordById', 'ALL', '静态知识标准术语-根据术语id获取静态信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关联维护设置-医院信息——修改医院信息', 'FUNC000052', '/tran/hospitalInfo/saveRecord', 'ALL', '关联维护设置-医院信息——修改医院信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-保存更新方案配置信息', 'FUNC000053', '/sys/plan/savePlanInfoDatas', 'ALL', '方案配置信息-保存更新方案配置信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-删除方案配置信息', 'FUNC000054', '/sys/plan/cancelPlanDatas', 'ALL', '方案配置信息-删除方案配置信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-停用启用方案配置', 'FUNC000055', '/sys/plan/revStopPlans', 'ALL', '方案配置信息-停用启用方案配置', 0, NULL);
INSERT INTO `sys_permission` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-获取默认方案配置', 'FUNC000056', '/sys/plan/getDefaultPlans', 'ALL', '方案配置信息-获取默认方案配置', 0, NULL);
INSERT INTO `sys_permission` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-根据医院编码获取配置信息明细', 'FUNC000057', '/sys/planDetail/getPlanDetailDatas', 'ALL', '方案配置信息明细-根据医院编码获取配置信息明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-保存更新方案配置信息明细', 'FUNC000058', '/sys/planDetail/savePlanDetails', 'ALL', '方案配置信息明细-保存更新方案配置信息明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-删除方案配置明细', 'FUNC000059', '/sys/planDetail/cancelPlanDetails', 'ALL', '方案配置信息明细-删除方案配置明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-停用启用方案配置明细', 'FUNC000060', '/sys/planDetail/revStopPlanDetails', 'ALL', '方案配置信息明细-停用启用方案配置明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-映射关系是否已存在', 'FUNC000061', '/tran/transfusionConfig/isExistRecord', 'ALL', '输血公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-保存或修改映射关系', 'FUNC000062', '/tran/transfusionConfig/saveOrUpdateRecord', 'ALL', '输血公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-批量保存或修改映射关系', 'FUNC000063', '/tran/transfusionConfig/saveOrUpdateRecords', 'ALL', '输血公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-删除映射关系', 'FUNC000064', '/tran/transfusionConfig/deleteRecord', 'ALL', '输血公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-批量删除映射关系', 'FUNC000065', '/tran/transfusionConfig/deleteRecords', 'ALL', '输血公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-公表数据导入', 'FUNC000066', '/tran/transfusionConfig/importExcel', 'ALL', '输血公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-数据导出', 'FUNC000067', '/tran/transfusionConfig/exportExcel', 'ALL', '输血公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-映射关系是否已存在', 'FUNC000068', '/tran/scaleConfig/isExistRecord', 'ALL', '量表公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-保存或修改映射关系', 'FUNC000069', '/tran/scaleConfig/saveOrUpdateRecord', 'ALL', '量表公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-批量保存或修改映射关系', 'FUNC000070', '/tran/scaleConfig/saveOrUpdateRecords', 'ALL', '量表公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-删除映射关系', 'FUNC000071', '/tran/scaleConfig/deleteRecord', 'ALL', '量表公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-批量删除映射关系', 'FUNC000072', '/tran/scaleConfig/deleteRecords', 'ALL', '量表公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-公表数据导入', 'FUNC000073', '/tran/scaleConfig/importExcel', 'ALL', '量表公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-数据导出', 'FUNC000074', '/tran/scaleConfig/exportExcel', 'ALL', '量表公表映射-数据导出', 0, NULL);

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 17:30:34
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_menu_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_permission`;
CREATE TABLE `sys_menu_permission`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `menu_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '菜单id',
  `permission_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '系统资源id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 72 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单和系统资源的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu_permission
-- ----------------------------
INSERT INTO `sys_menu_permission` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 4, '基础功能-修改密码');
INSERT INTO `sys_menu_permission` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 5, '根据医院获取方案配置信息');
INSERT INTO `sys_menu_permission` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 6, '诊断公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 7, '诊断公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 8, '诊断公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 9, '诊断公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 10, '诊断公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 11, '化验公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 12, '化验公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 13, '化验公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 14, '化验公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 15, '化验公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 16, '化验公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 17, '化验公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 18, '辅检公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 19, '辅检公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 20, '辅检公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 21, '辅检公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 22, '辅检公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 23, '辅检公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 24, '辅检公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 25, '药品公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 26, '药品公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 27, '药品公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 28, '药品公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 29, '药品公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 30, '药品公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 31, '药品公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 32, '手术公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 33, '手术公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 34, '手术公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 35, '手术公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 36, '手术公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 37, '手术公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 38, '手术公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 39, '科室公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 40, '科室公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 41, '科室公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 42, '科室公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 43, '科室公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 44, '科室公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 45, '科室公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 46, '静态知识标准术语-医学术语检索-新增静态知识');
INSERT INTO `sys_menu_permission` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 47, '静态知识标准术语-获取静态知识列表');
INSERT INTO `sys_menu_permission` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 48, '静态知识标准术语-保存静态知识-新增或修改');
INSERT INTO `sys_menu_permission` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 49, '静态知识标准术语-静态知识启用禁用');
INSERT INTO `sys_menu_permission` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 50, '静态知识标准术语-静态知识是否存在');
INSERT INTO `sys_menu_permission` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 51, '静态知识标准术语-根据术语id获取静态信息');
INSERT INTO `sys_menu_permission` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, 52, '关联维护设置-医院信息——修改医院信息');
INSERT INTO `sys_menu_permission` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 53, '方案配置信息-保存更新方案配置信息');
INSERT INTO `sys_menu_permission` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 54, '方案配置信息-删除方案配置信息');
INSERT INTO `sys_menu_permission` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 55, '方案配置信息-停用启用方案配置');
INSERT INTO `sys_menu_permission` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 56, '方案配置信息-获取默认方案配置');
INSERT INTO `sys_menu_permission` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 57, '方案配置信息明细-根据医院编码获取配置信息明细');
INSERT INTO `sys_menu_permission` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 58, '方案配置信息明细-保存更新方案配置信息明细');
INSERT INTO `sys_menu_permission` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 59, '方案配置信息明细-删除方案配置明细');
INSERT INTO `sys_menu_permission` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 60, '方案配置信息明细-停用启用方案配置明细');
INSERT INTO `sys_menu_permission` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 61, '输血公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 62, '输血公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 63, '输血公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 64, '输血公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 65, '输血公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 66, '输血公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 67, '输血公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 68, '量表公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 69, '量表公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 70, '量表公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 71, '量表公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 72, '量表公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 73, '量表公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 74, '量表公表映射-数据导出');

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 17:30:53
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '角色id',
  `permission_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '资源id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 75 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和资源的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_permission
-- ----------------------------
INSERT INTO `sys_role_permission` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 1, '基础功能-用户账号-获取用户、医院、菜单信息');
INSERT INTO `sys_role_permission` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 2, '修改密码');
INSERT INTO `sys_role_permission` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 3, '根据医院获取方案配置信息');
INSERT INTO `sys_role_permission` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 4, '诊断公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 5, '诊断公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 6, '诊断公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 7, '诊断公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 8, '诊断公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 9, '诊断公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 10, '诊断公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 11, '化验公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 12, '化验公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 13, '化验公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 14, '化验公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 15, '化验公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 16, '化验公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 17, '化验公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 18, '辅检公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 19, '辅检公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 20, '辅检公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 21, '辅检公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 22, '辅检公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 23, '辅检公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 24, '辅检公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 25, '药品公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 26, '药品公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 27, '药品公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 28, '药品公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 29, '药品公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 30, '药品公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 31, '药品公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 32, '手术公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 33, '手术公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 34, '手术公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 35, '手术公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 36, '手术公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 37, '手术公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 38, '手术公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 39, '科室公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 40, '科室公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 41, '科室公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 42, '科室公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 43, '科室公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 44, '科室公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 45, '科室公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 46, '静态知识标准术语-医学术语检索-新增静态知识');
INSERT INTO `sys_role_permission` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 47, '静态知识标准术语-获取静态知识列表');
INSERT INTO `sys_role_permission` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 48, '静态知识标准术语-保存静态知识-新增或修改');
INSERT INTO `sys_role_permission` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 49, '静态知识标准术语-静态知识启用禁用');
INSERT INTO `sys_role_permission` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 50, '静态知识标准术语-静态知识是否存在');
INSERT INTO `sys_role_permission` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 51, '静态知识标准术语-根据术语id获取静态信息');
INSERT INTO `sys_role_permission` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 52, '关联维护设置-医院信息——修改医院信息');
INSERT INTO `sys_role_permission` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 53, '方案配置信息-保存更新方案配置信息');
INSERT INTO `sys_role_permission` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 54, '方案配置信息-删除方案配置信息');
INSERT INTO `sys_role_permission` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 55, '方案配置信息-停用启用方案配置');
INSERT INTO `sys_role_permission` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 56, '方案配置信息-获取默认方案配置');
INSERT INTO `sys_role_permission` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 57, '方案配置信息明细-根据医院编码获取配置信息明细');
INSERT INTO `sys_role_permission` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 58, '方案配置信息明细-保存更新方案配置信息明细');
INSERT INTO `sys_role_permission` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 59, '方案配置信息明细-删除方案配置明细');
INSERT INTO `sys_role_permission` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 60, '方案配置信息明细-停用启用方案配置明细');
INSERT INTO `sys_role_permission` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 61, '输血公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 62, '输血公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 63, '输血公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 64, '输血公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 65, '输血公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 66, '输血公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 67, '输血公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 68, '量表公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 69, '量表公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 70, '量表公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 71, '量表公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 72, '量表公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 73, '量表公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 74, '量表公表映射-数据导出');

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 14/04/2021 09:52:54
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '角色id',
  `menu_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '菜单id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 1, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 2, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 3, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 4, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 5, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 6, NULL);
INSERT INTO `sys_role_menu` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 7, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 8, NULL);
INSERT INTO `sys_role_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 9, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 10, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 11, NULL);
INSERT INTO `sys_role_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 12, NULL);
INSERT INTO `sys_role_menu` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 13, NULL);
INSERT INTO `sys_role_menu` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 14, NULL);
INSERT INTO `sys_role_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 15, NULL);
INSERT INTO `sys_role_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 16, NULL);

SET FOREIGN_KEY_CHECKS = 1;


/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 17:30:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_dictionary_info`;
CREATE TABLE `sys_dictionary_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT 0 COMMENT '分组（值自定义）',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT 1 COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT 0 COMMENT '排序号',
  `remark` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 126 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'CDSS字典表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dictionary_info
-- ----------------------------
INSERT INTO `sys_dictionary_info` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '全部', '0', 2, 1, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '诊断', '1', 2, 10, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '药品', '2', 2, 20, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '检验', '3', 2, 30, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '检查', '5', 2, 40, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '手术和操作', '6', 2, 50, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '诊断', '医保疾病名称', 0, 1, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品', '药品通用名称', 0, 6, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检验套餐', '实验室检查套餐名', 0, 2, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检验细项', '实验室检查名称', 0, 3, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检查', '辅助检查名称', 0, 4, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '手术和操作', '医保手术和操作名称', 0, 7, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '', '0', 0, 1, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '注射剂', '1', 0, 10, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '片剂', '2', 0, 20, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '缓释剂', '3', 0, 30, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '胶囊剂', '4', 0, 40, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, '滴丸剂', '5', 0, 50, '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '检查子项', '辅助检查子项目名称', 0, 5, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '诊断', '1', 0, 1, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '药品', '2', 0, 2, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检验套餐', '3', 0, 3, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检验细项', '4', 0, 4, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检查', '5', 0, 5, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '检查子项', '6', 0, 6, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '手术和操作', '7', 0, 7, '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品类别', '药品类别', 0, 20, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '检验套餐', '1', 0, 1, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '检查', '2', 0, 2, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '检查子项', '3', 0, 3, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '手术和操作', '4', 0, 4, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, '药品注册名称', '5', 0, 5, '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '性别', '1', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '实验室检查', '2', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '临床表现', '3', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '辅助检查名称描述', '4', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '疾病', '5', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '服用药品', '6', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '药物过敏原', '7', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '食物过敏原', '8', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '手术', '9', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '禁忌人群', '10', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '过敏原', '11', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '体征', '12', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '禁忌医疗器械及物品', '13', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '年龄', '14', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '给药途径', '15', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, '开单项互斥', '16', 0, 0, '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '疾病（开单合理性）', '疾病', 0, 8, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '实验室检查细项（开单合理性）', '实验室检查', 0, 9, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '化验细项及结果（推理）', '化验细项及结果', 0, 10, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '实验室检查危急值', '实验室检查危急值', 0, 11, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '化验提醒指标', '化验提醒指标', 0, 12, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '化验套餐名称（推理）', '化验套餐名称', 0, 13, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅助检查危急值', '辅助检查危急值', 0, 14, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅助检查结果（开单合理性）', '辅助检查名称描述', 0, 15, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅助检查结果（诊断依据）', '辅助检查名称结果', 0, 16, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '辅检提醒指标', '辅检提醒指标', 0, 17, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品代码通用名', '药品代码通用名', 0, 18, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品注册名称', '药品注册名称', 0, 19, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品治疗学类别', '药品治疗学类别', 0, 21, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品药理学类别', '药品药理学类别', 0, 22, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品解剖学类别', '药品解剖学类别', 0, 23, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药品化学物质类别', '药品化学物质类别', 0, 24, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '服用药品（开单合理性）', '服用药品', 0, 25, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '禁忌医疗器械及物品', '禁忌医疗器械及物品', 0, 26, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '性别', '性别', 0, 27, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '体征', '体征', 0, 28, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '症状', '症状', 0, 29, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '临床表现', '临床表现', 0, 30, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '科室', '科室', 0, 31, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '开单项互斥', '开单项互斥', 0, 32, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '禁忌人群', '禁忌人群', 0, 33, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (75, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '建议输血提醒', '建议输血提醒', 0, 34, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (76, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '药物过敏原', '药物过敏原', 0, 35, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '其他过敏原', '过敏原', 0, 36, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (78, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '食物过敏原', '食物过敏原', 0, 37, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, '输血提醒指标', '输血提醒指标', 0, 38, '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '诊断', '疾病', 1, 100, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品', '药品通用名', 1, 101, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品剂型', '药品剂型', 1, 102, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '症状', '症状', 1, 103, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '体格检查项目', '体格检查项目', 1, 104, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '体格检查结果', '体格检查结果', 1, 105, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '手术和操作', '手术和操作', 1, 106, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检验套餐', '实验室检查套餐', 1, 107, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检验细项', '实验室检查子项目', 1, 108, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检查', '辅助检查项目', 1, 109, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检查子项', '辅助检查子项目', 1, 110, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '辅助检查描述', '辅助检查描述', 1, 111, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '辅助检查结果', '辅助检查结果', 1, 112, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (93, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '输血类型', '输血类型', 1, 113, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (94, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '麻醉', '麻醉', 1, 114, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (95, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '科室', '科室', 1, 115, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (96, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '性别', '性别', 1, 116, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (97, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '人群', '人群', 1, 117, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (98, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '食物', '食物', 1, 118, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (99, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '其他过敏原', '其他过敏原', 1, 119, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '医疗器械及物品', '医疗器械及物品', 1, 120, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '给药途径', '给药途径', 1, 121, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '部位', '部位', 1, 122, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '护理', '护理', 1, 123, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '量表', '量表', 1, 124, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '单位', '单位', 1, 125, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, 'ICD10疾病类别', 'ICD10疾病类别', 1, 300, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品化学物质类别', '药品化学物质类别', 1, 301, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品治疗学类别', '药品治疗学类别', 1, 302, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品药理学类别', '药品药理学类别', 1, 303, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品解剖学类别', '药品解剖学类别', 1, 304, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '症状类别', '症状类别', 1, 305, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '手术和操作类别', '手术和操作类别', 1, 306, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, 'ICD10疾病类别根节点', 'ICD10疾病类别根节点', 1, 400, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '科室疾病类别根节点', '科室疾病类别根节点', 1, 401, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品化学物质类别根节点', '药品化学物质类别根节点', 1, 402, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品治疗学类别根节点', '药品治疗学类别根节点', 1, 403, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品药理学类别根节点', '药品药理学类别根节点', 1, 404, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品解剖学类别根节点', '药品解剖学类别根节点', 1, 405, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '症状类别根节点', '症状类别根节点', 1, 406, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '手术和操作类别根节点', '手术和操作类别根节点', 1, 407, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '实验室检查类别根节点', '实验室检查类别根节点', 1, 408, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '辅助检查类别根节点', '辅助检查类别根节点', 1, 409, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '年龄', '年龄', 1, 410, '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES (124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '量表', '8', 2, 80, '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES (125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, '量表', '8', 0, 8, '静态知识类型');

SET FOREIGN_KEY_CHECKS = 1;

