USE `med_2021`;

INSERT INTO `kl_lexicon_relationship` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `remark`) VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疾病相关量表', '509', '');

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : med_2021

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 17:33:45
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for kl_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `kl_dictionary_info`;
CREATE TABLE `kl_dictionary_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT 0 COMMENT '分组（值自定义）',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT 1 COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT 0 COMMENT '排序号',
  `remark` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 143 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of kl_dictionary_info
-- ----------------------------
INSERT INTO `kl_dictionary_info` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '全部', '0', 2, 1, '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '诊断', '1', 2, 10, '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '药品', '2', 2, 20, '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '检验', '3', 2, 30, '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '检查', '5', 2, 40, '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '手术和操作', '6', 2, 50, '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, '量表', '8', 2, 80, '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '诊断', '疾病', 1, 100, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品', '药品通用名', 1, 101, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品剂型', '药品剂型', 1, 102, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '症状', '症状', 1, 103, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '体格检查项目', '体格检查项目', 1, 104, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '体格检查结果', '体格检查结果', 1, 105, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '手术和操作', '手术和操作', 1, 106, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检验套餐', '实验室检查套餐', 1, 107, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检验细项', '实验室检查子项目', 1, 108, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检查', '辅助检查项目', 1, 109, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '检查子项', '辅助检查子项目', 1, 110, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '辅助检查描述', '辅助检查描述', 1, 111, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '辅助检查结果', '辅助检查结果', 1, 112, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (93, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '输血类型', '输血类型', 1, 113, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (94, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '麻醉', '麻醉', 1, 114, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (95, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '科室', '科室', 1, 115, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (96, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '性别', '性别', 1, 116, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (97, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '人群', '人群', 1, 117, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (98, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '食物', '食物', 1, 118, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (99, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '其他过敏原', '其他过敏原', 1, 119, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '医疗器械及物品', '医疗器械及物品', 1, 120, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '给药途径', '给药途径', 1, 121, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '部位', '部位', 1, 122, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '护理', '护理', 1, 123, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '量表', '量表', 1, 124, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '单位', '单位', 1, 125, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, 'ICD10疾病类别', 'ICD10疾病类别', 1, 300, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品化学物质类别', '药品化学物质类别', 1, 301, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品治疗学类别', '药品治疗学类别', 1, 302, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品药理学类别', '药品药理学类别', 1, 303, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品解剖学类别', '药品解剖学类别', 1, 304, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '症状类别', '症状类别', 1, 305, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '手术和操作类别', '手术和操作类别', 1, 306, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, 'ICD10疾病类别根节点', 'ICD10疾病类别根节点', 1, 400, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '科室疾病类别根节点', '科室疾病类别根节点', 1, 401, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品化学物质类别根节点', '药品化学物质类别根节点', 1, 402, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品治疗学类别根节点', '药品治疗学类别根节点', 1, 403, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品药理学类别根节点', '药品药理学类别根节点', 1, 404, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '药品解剖学类别根节点', '药品解剖学类别根节点', 1, 405, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '症状类别根节点', '症状类别根节点', 1, 406, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '手术和操作类别根节点', '手术和操作类别根节点', 1, 407, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '实验室检查类别根节点', '实验室检查类别根节点', 1, 408, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '辅助检查类别根节点', '辅助检查类别根节点', 1, 409, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, '年龄', '年龄', 1, 410, '页面显示词性');
INSERT INTO `kl_dictionary_info` VALUES (124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 20, '危急值-实验室检查子项目', '3-108-2', 1, 0, '化验规则维护特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 20, '其他值提醒-实验室检查子项目', '4-108-2', 1, 0, '化验规则维护特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 20, '其他值提醒输血-实验室检查子项目', '5-108-2', 1, 0, '化验规则维护特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 21, '高危-药品通用名', '2-101', 1, 0, '附加信息特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 21, '其他值提醒-辅助检查结果', '4-112', 1, 0, '附加信息特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 21, '其他值提醒输血-实验室检查子项目', '5-108', 1, 0, '附加信息特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 20, '正常项目重复开立-辅助检查项目', '6-109-6', 1, 0, '化验规则维护特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 20, '正常项目重复开立-辅助检查子项目', '6-110-6', 1, 0, '化验规则维护特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 31, '开单外等于术语本身', '1', 1, 0, '基础规则类型');
INSERT INTO `kl_dictionary_info` VALUES (133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 31, '开单外存在比较', '2', 1, 0, '基础规则类型');
INSERT INTO `kl_dictionary_info` VALUES (134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 31, '开单外不等于术语本身', '3', 1, 0, '基础规则类型');
INSERT INTO `kl_dictionary_info` VALUES (135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 31, '过敏原', '4', 1, 0, '基础规则类型');
INSERT INTO `kl_dictionary_info` VALUES (136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 31, '开单项', '5', 1, 0, '基础规则类型');
INSERT INTO `kl_dictionary_info` VALUES (137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 31, '检查结果正则表达式', '6', 1, 0, '基础规则类型');
INSERT INTO `kl_dictionary_info` VALUES (138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 22, '开单合理性-年龄-体格检查项目', '410,104', 1, 0, '开单合理性只有数字没有文本');
INSERT INTO `kl_dictionary_info` VALUES (139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 23, '复杂情况下高风险手术-手术和操作', '2-106', 1, 0, '高危手术存在有无子条件特殊处理');
INSERT INTO `kl_dictionary_info` VALUES (140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 24, '诊断依据存在比较-年龄-体格检查项目', '410,104', 1, 0, '诊断依据存在比较只有数字没有文本');
INSERT INTO `kl_dictionary_info` VALUES (141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 25, '诊断依据存在比较-实验室检查子项目', '108', 1, 0, '诊断依据存在比较只有文本');

SET FOREIGN_KEY_CHECKS = 1;

ALTER TABLE `kl_lis` CHANGE `unit` `unit` VARCHAR(255) NULL COMMENT '单位';