USE `med_2021`;

-- DROP TABLE IF EXISTS `kl_tcm_mapping`;
-- CREATE TABLE `kl_tcm_mapping` (
--   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
--   `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
--   `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
--   `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
--   `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
--   `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
--   `concept_id` bigint(20) NOT NULL COMMENT '概念id',
--   `his_type` int(11) NOT NULL DEFAULT '0' COMMENT '第三方术语类型（1：中医诊断，2：西医诊断，3：证候）',
--   `his_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '第三方术语名称',
--   PRIMARY KEY (`id`),
--   KEY `idx_concept_id` (`concept_id`) USING BTREE
-- ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='知识库标准术语与第三方中医术语映射表';

-- 已经执行
-- UPDATE `med_2021`.`kl_lexicon` SET `id`='23', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='部位', `code`='122', `is_has_common`='1', `only_one`='0', `can_change`='0', `remark`='' WHERE (`id`='23');
-- INSERT INTO `med_2021`.`kl_lexicon` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `is_has_common`, `only_one`, `can_change`, `remark`) VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疾病系统分类', '307', '0', '0', '0', '');
-- INSERT INTO `med_2021`.`kl_lexicon` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `is_has_common`, `only_one`, `can_change`, `remark`) VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性质', '126', '1', '0', '0', '');
-- INSERT INTO `med_2021`.`kl_lexicon` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `is_has_common`, `only_one`, `can_change`, `remark`) VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病', '127', '1', '0', '0', '');
-- INSERT INTO `med_2021`.`kl_lexicon` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `is_has_common`, `only_one`, `can_change`, `remark`) VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候', '128', '1', '0', '0', '');
-- INSERT INTO `med_2021`.`kl_lexicon` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `is_has_common`, `only_one`, `can_change`, `remark`) VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诱因', '129', '0', '0', '0', '');
--
-- DROP TABLE IF EXISTS `kl_tcm_disease`;
-- CREATE TABLE `kl_tcm_disease` (
--   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
--   `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
--   `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
--   `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
--   `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
--   `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
--   `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
--   `code` varchar(30) DEFAULT '0' COMMENT '编码',
--   `remark` varchar(255) DEFAULT NULL COMMENT '备注',
--   PRIMARY KEY (`id`),
--   UNIQUE KEY `idx_concept_id` (`concept_id`) USING BTREE COMMENT '概念id全表唯一',
--   KEY `idx_delete_conceptId` (`is_deleted`,`concept_id`) USING BTREE
-- ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='中医疾病表';
--
--
-- DROP TABLE IF EXISTS `kl_tcm_syndrome`;
-- CREATE TABLE `kl_tcm_syndrome` (
--   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
--   `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
--   `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
--   `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
--   `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
--   `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
--   `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
--   `code` varchar(30) DEFAULT '0' COMMENT '编码',
--   `remark` varchar(255) DEFAULT NULL COMMENT '备注',
--   PRIMARY KEY (`id`),
--   UNIQUE KEY `idx_concept_id` (`concept_id`) USING BTREE COMMENT '概念id全表唯一',
--   KEY `idx_delete_conceptId` (`is_deleted`,`concept_id`) USING BTREE
-- ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='中医证候表';
