USE `cdss`;

DROP TABLE IF EXISTS `sys_dept_push`;
CREATE TABLE `sys_dept_push` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `dept_name` varchar(255) NOT NULL DEFAULT '' COMMENT '标准科室名称',
  `push` varchar(255) NOT NULL DEFAULT '' COMMENT '推送模型',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='标准科室和推送模型映射';

INSERT INTO `cdss`.`sys_dept_push` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `dept_name`, `push`, `remark`) VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精神卫生科', '1', NULL);

alter table `cdss`.`tran_hospital_info` MODIFY COLUMN push_mode int(1) NOT NULL DEFAULT '0' COMMENT '0：新版推送，1：5.0推送，2：其他推送';