package com.diagbot.client;


import com.diagbot.client.hystrix.CRFServiceHystrix;
import com.diagbot.vo.CRFVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 调用条件随机场服务
 * @author: Mark Huang
 * @time: 2019/12/13 9:52
 */
@FeignClient(value = "CRF-service", url="${CRF.url}", fallback = CRFServiceHystrix.class)
public interface CRFServiceClient {

    @PostMapping(value = "/api/mr_info_ex/entity_predict")
    String getAnnotation(@RequestBody CRFVo crfVo);
}



