package com.diagbot.client;


import com.diagbot.client.hystrix.IcssPushServiceHystrix;
import com.diagbot.dto.icss.Response;
import com.diagbot.dto.icss.ResponseData;
import com.diagbot.vo.IcssVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: ICSS5.0推送
 * @author: Mark Huang
 * @time: 2019/12/13 9:52
 */
@FeignClient(value = "IcssPush-service", url="${IcssPush.url}", fallback = IcssPushServiceHystrix.class)
public interface IcssPushServiceClient {

    @PostMapping(value = "/push-web/algorithm/neural")
    Response<ResponseData> getAnnotation(@RequestBody IcssVo searchData);
}



