package com.diagbot.client;

import com.diagbot.client.hystrix.PushNewServiceHystrix;
import com.diagbot.dto.PushNewDTO;
import com.diagbot.dto.PushReloadDTO;
import com.diagbot.vo.PushNewVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: CDSS新推送
 * @author: zhoutg
 * @date: 2021/3/24 15:24
 */
@FeignClient(value = "PushNew-service", url="${PushNew.url}", fallback = PushNewServiceHystrix.class)
public interface PushNewServiceClient {

    @PostMapping(value = "/api/disease")
    PushNewDTO pushNew(@RequestBody PushNewVO pushNewVO);

    @PostMapping(value = "/api/reloadPushDB")
    PushReloadDTO reloadPushDB();
}



