package com.diagbot.client;

import com.diagbot.dto.StandConvertCrfBatchDTO;
import com.diagbot.dto.StandConvertCrfDTO;
import com.diagbot.vo.StandConvertCrfVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @description: 标准词转换
 * @author: zhoutg
 * @date: 2020/8/12 10:41
 */
@FeignClient(value = "StandConvertNew-service", url="${StandConvertNew.url}")
public interface StandConvertNewServiceClient {

    @PostMapping(value = "/api/similarity")
    StandConvertCrfDTO similarity(StandConvertCrfVO standConvertCrfVO);

    @PostMapping(value = "/es/word_type_body")
    StandConvertCrfBatchDTO similarityBatch(List<StandConvertCrfVO> standConvertCrfVOList);
}



