package com.diagbot.client.hystrix;

import com.diagbot.client.StandConvertServiceClient;
import com.diagbot.dto.StandConvertCrfBatchDTO;
import com.diagbot.dto.StandConvertCrfDTO;
import com.diagbot.vo.StandConvertCrfVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Slf4j
public class StandConvertServiceHystrix implements StandConvertServiceClient {

    @Override
    public StandConvertCrfDTO similarity(StandConvertCrfVO standConvertCrfVO) {
        log.error("【hystrix】调用{}异常", "similarity");
        return null;
    }

    @Override
    public StandConvertCrfBatchDTO similarityBatch(List<StandConvertCrfVO> standConvertCrfVOList) {
        log.error("【hystrix】调用{}异常", "similarityBatch");
        return null;
    }
}
