package com.diagbot.dto;

import com.google.common.collect.Lists;
import lombok.Getter;
import lombok.Setter;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 推理出参
 * @author: gaodm
 * @time: 2020/8/6 9:54
 */
@Getter
@Setter
public class PushDTO {
    // 症状
    private List<PushBaseDTO> symptom = Lists.newArrayList();
    // 体格检查
    private List<PushBaseDTO> vital = Lists.newArrayList();
    // 检验
    private List<PushBaseDTO> lis = Lists.newArrayList();
    // 检查
    private List<PushBaseDTO> pacs = Lists.newArrayList();
    // 手术
    private List<PushBaseDTO> operations = Lists.newArrayList();
    // 药品
    private List<PushBaseDTO> medicines = Lists.newArrayList();
    // 并发症
    private List<PushBaseDTO> complications = Lists.newArrayList();
    // 量表
    private List<PushBaseDTO> scale = Lists.newArrayList();
    // 护理
    private List<PushBaseDTO> nurse = Lists.newArrayList();
    // 诊断
    private Map<String, List<PushBaseDTO>> dis = new LinkedHashMap<>();
    // 一般治疗
    private List<TreatDTO> treat = Lists.newArrayList();

    // 记录调试信息
    private Map<String, Object> debug = new LinkedHashMap<>();
}
