package com.diagbot.dto;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @description: 标准词转换类出参
 * @author: zhoutg
 * @date: 2020/8/12 10:48
 */
@Data
public class StandConvertCrfDTO {
    // 成功返回true, 否则返回false
    private Boolean status;
    // 标准词列表，有顺序，第一个是最大可能性的
    private List<Map<String,String>> standard_words;
    /**
     * 错误码(error_code)列表：
     *     1000 ---> 正常
     *     1001 ---> 输入错误，word_type或word为空
     *     1002 ---> 没有这个模型, word_type出错
     *     1003 ---> 模型预测出错
     *     1004 ---> 模型其他错误
     *     1005 ---> 其他错误
     *     1006 ---> 字符串(即word)不符合所规定的格式【错误格式：没有中文字符，数字或者非前括号符号开头，空字符串，
     *         不是字符串, 长度超过40字符】
     */
    private Integer error_code;
}
