package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 手术随访计划明细表（标准表）
 * </p>
 *
 * @author zhaops
 * @since 2020-09-18
 */
@TableName("tran_followup_plan_detail")
public class FollowupPlanDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 随访计划id
     */
    private Long followUpPlanId;

    /**
     * 随访时间
     */
    private String followUpTime;

    /**
     * 随访时间间隔月数
     */
    private Integer intervalMonth;

    /**
     * 项目名称
     */
    private String itemName;

    /**
     * 项目类型（1：检验，2：检查）
     */
    private Integer itemType;

    /**
     * 排序
     */
    private Integer orderNo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getFollowUpPlanId() {
        return followUpPlanId;
    }

    public void setFollowUpPlanId(Long followUpPlanId) {
        this.followUpPlanId = followUpPlanId;
    }
    public String getFollowUpTime() {
        return followUpTime;
    }

    public void setFollowUpTime(String followUpTime) {
        this.followUpTime = followUpTime;
    }
    public Integer getIntervalMonth() {
        return intervalMonth;
    }

    public void setIntervalMonth(Integer intervalMonth) {
        this.intervalMonth = intervalMonth;
    }
    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    public Integer getItemType() {
        return itemType;
    }

    public void setItemType(Integer itemType) {
        this.itemType = itemType;
    }
    public Integer getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(Integer orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String toString() {
        return "FollowupPlanDetail{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", followUpPlanId=" + followUpPlanId +
            ", followUpTime=" + followUpTime +
            ", intervalMonth=" + intervalMonth +
            ", itemName=" + itemName +
            ", itemType=" + itemType +
            ", orderNo=" + orderNo +
        "}";
    }
}
