package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 静态知识标准术语表
 * </p>
 *
 * @author zhoutg
 * @since 2020-12-29
 */
@Data
public class GraphConceptInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 标准术语
     */
    private String name;

    /**
     * 词性
     */
    private String type;

    /**
     * 临床路径名称
     */
    private String clinicalPathwayName;

    /**
     * 注意事项名称
     */
    private String noticeName;

    /**
     * 启用状态（0：禁用，1：启用）
     */
    private Integer status;

}
