package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 诊断依据基础表
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
public class KlDiagnoseBase implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 提示概念id
     */
    private Long conceptId;

    /**
     * 描述
     */
    private String description;

    /**
     * 基础规则类型(1:等于术语本身;2:存在比较;3:不等于术语本身;)
     */
    private Integer type;

    /**
     * 最小域比较符
     */
    private String minOperator;

    /**
     * 最小域值
     */
    private String minValue;

    /**
     * 最小域单位
     */
    private String minUnit;

    /**
     * 最大域比较符
     */
    private String maxOperator;

    /**
     * 最大域值
     */
    private String maxValue;

    /**
     * 最大域单位
     */
    private String maxUnit;

    /**
     * 等于域比较符
     */
    private String eqOperator;

    /**
     * 等于域值
     */
    private String eqValue;

    /**
     * 等于域单位
     */
    private String eqUnit;

    /**
     * 启用状态（0：禁用，1：启用）
     */
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Long getConceptId() {
        return conceptId;
    }

    public void setConceptId(Long conceptId) {
        this.conceptId = conceptId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getMinOperator() {
        return minOperator;
    }

    public void setMinOperator(String minOperator) {
        this.minOperator = minOperator;
    }

    public String getMinValue() {
        return minValue;
    }

    public void setMinValue(String minValue) {
        this.minValue = minValue;
    }

    public String getMinUnit() {
        return minUnit;
    }

    public void setMinUnit(String minUnit) {
        this.minUnit = minUnit;
    }

    public String getMaxOperator() {
        return maxOperator;
    }

    public void setMaxOperator(String maxOperator) {
        this.maxOperator = maxOperator;
    }

    public String getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(String maxValue) {
        this.maxValue = maxValue;
    }

    public String getMaxUnit() {
        return maxUnit;
    }

    public void setMaxUnit(String maxUnit) {
        this.maxUnit = maxUnit;
    }

    public String getEqOperator() {
        return eqOperator;
    }

    public void setEqOperator(String eqOperator) {
        this.eqOperator = eqOperator;
    }

    public String getEqValue() {
        return eqValue;
    }

    public void setEqValue(String eqValue) {
        this.eqValue = eqValue;
    }

    public String getEqUnit() {
        return eqUnit;
    }

    public void setEqUnit(String eqUnit) {
        this.eqUnit = eqUnit;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "KlDiagnoseBase{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", conceptId=" + conceptId +
                ", description=" + description +
                ", type=" + type +
                ", minOperator=" + minOperator +
                ", minValue=" + minValue +
                ", minUnit=" + minUnit +
                ", maxOperator=" + maxOperator +
                ", maxValue=" + maxValue +
                ", maxUnit=" + maxUnit +
                ", eqOperator=" + eqOperator +
                ", eqValue=" + eqValue +
                ", eqUnit=" + eqUnit +
                ", status=" + status +
                "}";
    }
}
