package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 诊断依据条件表
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
@Getter
@Setter
public class KlDiagnoseCondition implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 诊断依据主表id
     */
    private Long diagnoseId;

    /**
     * 条件类型(1:基础条件；2:拟诊条件；3:确诊条件；4:警惕条件)
     */
    private Integer conditionType;

    /**
     * 规则组别（condition_type为2:拟诊条件；3:确诊条件；4:警惕条件有效）
     */
    private Integer conditionGroup;

    /**
     * 符合数量（condition_type为2:拟诊条件；3:确诊条件；4:警惕条件有效）
     */
    private Integer fitNo;

    /**
     * 基础规则组别（condition_type为1:基础条件；2:拟诊条件；3:确诊条件；4:警惕条件都有效）
     */
    private Integer baseGroup;

    /**
     * 基础规则id（condition_type为1:基础条件有效）
     */
    private Long diagnoseBaseId;
}
