package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 词提取结果
 * </p>
 *
 * @author zhoutg
 * @since 2020-10-29
 */
@TableName("demo_testword_res")
@Data
public class TestwordRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 词名称
     */
    private String word;

    /**
     * 词类型
     */
    private String type;

    /**
     * 词转换
     */
    private String convertWord;

    /**
     * 词转换
     */
    private String newConvertWord;

    /**
     * 执行时间
     */
    private String dealTime;

    /**
     * 是否处理，0：未使用，1：已处理
     */
    private Integer isDeal;
}
