package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医院信息表
 * </p>
 *
 * @author zhoutg
 * @since 2020-11-18
 */
@Data
public class TranHospitalInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院编码
     */
    private String code;

    /**
     * 医院名称
     */
    private String name;

    /**
     * 医院地址
     */
    private String address;

    /**
     * 医院名称拼音
     */
    private String spell;

    /**
     * 状态：0.禁用1.启用
     */
    private Integer status;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 是否对接（0-不对接，1-对接）
     */
    private Integer connect;

    /**
     * 备注
     */
    private String remark;

    /**
     * 0:不过滤 1:过滤
     */
    private Integer pushMode;


}
