package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 诊断依据词性类型枚举
 * @date 2018年10月11日 下午3:33:22
 */

public enum DiagnoseLexiconTypeEnum implements KeyedNamed {

    Symptom(103, "A"),
    VitalResult(105, "B"),
    Vital(104, "C"),
    LisSubName(108, "D"),
    PacsResult(112, "E"),
    Disease(100, "F"),
    zsxbszz(900, "G"),
    jwzz(901, "H"),
    Age(410,"I"),
    Group(117, "J");

    @Setter
    private int key;

    @Setter
    private String name;

    DiagnoseLexiconTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiagnoseLexiconTypeEnum getEnum(int key) {
        for (DiagnoseLexiconTypeEnum item : DiagnoseLexiconTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }



    public static String getName(int key) {
        DiagnoseLexiconTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }


    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
