package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 类型枚举
 * @date 2018年10月11日 下午3:33:22
 */

public enum DiagnoseTypeEnum implements KeyedNamed {

    protocol(2, "拟诊"),
    definite(3, "确诊"),
    vigilant(4, "警惕"),

    bigDataPush(99, "大数据推送诊断"),
    possibleUnion(100, "可能诊断"),
    pastDisease(101, "既往诊断");

    @Setter
    private int key;

    @Setter
    private String name;

    DiagnoseTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiagnoseTypeEnum getEnum(int key) {
        for (DiagnoseTypeEnum item : DiagnoseTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static DiagnoseTypeEnum getEnum(String value) {
        for (DiagnoseTypeEnum item : DiagnoseTypeEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        DiagnoseTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
