package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 诊断推送类型
 * @date 2018年10月11日 下午3:33:22
 */

public enum DiseasePushTypeEnum implements KeyedNamed {

    gp(0, "全科"),
    specialty(1, "专科");

    @Setter
    private int key;

    @Setter
    private String name;

    DiseasePushTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiseasePushTypeEnum getEnum(int key) {
        for (DiseasePushTypeEnum item : DiseasePushTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        DiseasePushTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
