package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/12/15 17:56
 */
public enum LabelTypeEnum implements KeyedNamed {
    YiBaoDiseaseName(1, "医保疾病名称"),
    LisSet(2, "实验室检查套餐名"),
    LisName(3, "实验室检查名称"),
    PacsName(4, "辅助检查名称"),
    PacsSubName(5, "辅助检查子项目名称"),
    Medicine(6, "药品通用名称"),
    YiBaoOperationName(7, "医保手术和操作名称"),
    Disease(8, "疾病"),
    Lis(9, "实验室检查"),
    LisSubNameAndResult(10, "化验细项及结果"),
    LisCritical(11, "实验室检查危急值"),
    LisRemind(12, "化验提醒指标"),
    LisBigName(13, "化验套餐名称"),
    PacsCritical(14, "辅助检查危急值"),
    PacsDescribe(15, "辅助检查名称描述"),
    PacsResult(16, "辅助检查名称结果"),
    PacsRemind(17, "辅检提醒指标"),
    MedCodeName(18, "药品代码通用名"),
    MedRegName(19, "药品注册名称"),
    MedClass(20, "药品类别"),
    MedZhiLiaoClass(21, "药品治疗学类别"),
    MedYaoLiClass(22, "药品药理学类别"),
    MedJiePouClass(23, "药品解剖学类别"),
    MedChemClass(24, "药品化学物质类别"),
    OralMedicine(25, "服用药品"),
    ConflictDevice(26, "禁忌医疗器械及物品"),
    Gender(27, "性别"),
    Vital(28, "体征"),
    Symptom(29, "症状"),
    ClinicalFinding(30, "临床表现"),
    Dept(31, "科室"),
    BillConflictItem(32, "开单项互斥"),
    Group(33, "禁忌人群"),
    TransfusionSuggest(34, "建议输血提醒"),
    MedAllergen(35, "药物过敏原"),
    Allergen(36, "过敏原"),
    FoodAllergen(37, "食物过敏原"),
    TransfusionRemind(38, "输血提醒指标");


    @Setter
    private int key;

    @Setter
    private String name;

    LabelTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static LabelTypeEnum getEnum(int key) {
        for (LabelTypeEnum item : LabelTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static LabelTypeEnum getEnum(String value) {
        for (LabelTypeEnum item : LabelTypeEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        LabelTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}