package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author kwz
 * @Description: 医嘱类型
 * @date 2018年10月11日 下午3:33:22
 */

public enum MedicalAdviceEnum implements KeyedNamed {

    drug(1, "药物"),
    operation(2, "手术"),
    handle(3, "操作");

    @Setter
    private int key;

    @Setter
    private String name;

    MedicalAdviceEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static MedicalAdviceEnum getEnum(int key) {
        for (MedicalAdviceEnum item : MedicalAdviceEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        MedicalAdviceEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
