package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 类型枚举
 * @date 2018年10月11日 下午3:33:22
 */

public enum PushTypeEnum implements KeyedNamed {

    symptom(1, "症状"),
    vital(4, "查体结果"),
    lis(5, "化验"),
    pacs(6, "辅检"),
    disease(7, "诊断"),
    drug(8, "药品"),
    operation(9, "手术"),
    treat(10, "一般治疗");

    @Setter
    private int key;

    @Setter
    private String name;

    PushTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static PushTypeEnum getEnum(int key) {
        for (PushTypeEnum item : PushTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static PushTypeEnum getEnum(String value) {
        for (PushTypeEnum item : PushTypeEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        PushTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
