package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-12-01 11:10
 */
public enum RegularConfigEnum implements KeyedNamed {
    lis(1, "化验"),
    allergy(2, "过敏源");

    @Setter
    private int key;

    @Setter
    private String name;

    RegularConfigEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RegularConfigEnum getEnum(int key) {
        for (RegularConfigEnum item : RegularConfigEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static TypeEnum getEnum(String value) {
        for (TypeEnum item : TypeEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RegularConfigEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
