package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/2/24 10:46
 */
public enum RelationshipEnum implements KeyedNamed {

    R501(501, "疾病相关主症状"),
    R502(502,"疾病相关次症状"),
    R503(503,"疾病相关体格检查结果"),
    R504(504,"疾病相关实验室检查套餐"),
    R505(505,"疾病相关辅助检查项目"),
    R506(506,"疾病相关药物治疗"),
    R507(507,"疾病相关手术治疗"),
    R508(508,"疾病相关鉴别诊断"),
    R509(509,"疾病相关量表"),
    R510(510,"疾病相关护理"),
    R600(600,"相关子类");

    @Setter
    private int key;

    @Setter
    private String name;

    RelationshipEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RelationshipEnum getEnum(int key) {
        for (RelationshipEnum item : RelationshipEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static RelationshipEnum getEnum(String value) {
        for (RelationshipEnum item : RelationshipEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RelationshipEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}