package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 类型枚举
 * @date 2018年10月11日 下午3:33:22
 */

public enum RuleTypeEnum implements KeyedNamed {

    bill(1, "开单合理性"),
    high(2, "高危"),
    critical(3, "危急值"),
    other(4, "其他值提醒"),
    transfusion(5, "其他值提醒输血"),
    repeat(6, "正常项目重复开立");

    @Setter
    private int key;

    @Setter
    private String name;

    RuleTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RuleTypeEnum getEnum(int key) {
        for (RuleTypeEnum item : RuleTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static RuleTypeEnum getEnum(String value) {
        for (RuleTypeEnum item : RuleTypeEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RuleTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
