package com.diagbot.facade;

import com.diagbot.dto.Cn2SpellDTO;
import com.diagbot.dto.Cn2SpellDetailDTO;
import com.diagbot.util.Cn2SpellUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.Cn2SpellVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/9/22 16:02
 */
@Component
public class Cn2SpellFacade {
    /**
     * 拼音转化汉字拼音首字母
     *
     * @param cn2SpellVO 拼音转化入参
     * @return 拼音转化出参
     */
    public Cn2SpellDTO cn2Spell(Cn2SpellVO cn2SpellVO) {
        Cn2SpellDTO cn2SpellDTO = new Cn2SpellDTO();
        if (null != cn2SpellVO && ListUtil.isNotEmpty(cn2SpellVO.getCnList())) {
            List<Cn2SpellDetailDTO> cn2SpellDetailDTOList = new ArrayList<>();
            for (String cn : cn2SpellVO.getCnList()) {
                if (StringUtil.isNotBlank(cn)) {
                    Cn2SpellDetailDTO cn2SpellDetailDTO = new Cn2SpellDetailDTO();
                    cn2SpellDetailDTO.setCn(cn);
                    cn2SpellDetailDTO.setSpell(Cn2SpellUtil.converterToFirstSpell(cn));
                    cn2SpellDetailDTOList.add(cn2SpellDetailDTO);
                }
            }
            cn2SpellDTO.setCn2SpellDetailDTOList(cn2SpellDetailDTOList);
        }
        return cn2SpellDTO;
    }
}
