package com.diagbot.facade;

import com.diagbot.dto.IndicationDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.process.HighRiskProcess;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 高风险合理性facade
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class HighRiskFacade {

    @Autowired
    NeoFacade neoFacade;
    @Autowired
    HighRiskProcess highRiskProcess;
    @Autowired
    CommonFacade commonFacade;

    /**
     * 高风险提示
     * @param
     * @return
     */
    public void highRiskFac(WordCrfDTO wordCrfDTO, IndicationDTO res) {
        // 高危药品
        highRiskProcess.processDrug(wordCrfDTO, res);

        // 高危手术
        highRiskProcess.processOperation(wordCrfDTO, res);

        // 结果去重处理
        commonFacade.dealMsg(res.getHighRiskList());
    }
}
