package com.diagbot.facade;

import com.diagbot.dto.DiseaseItemDTO;
import com.diagbot.service.impl.KlRelationServiceImpl;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.DiseaseItemVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/1/26 13:07
 */
@Component
public class KlRelationFacade extends KlRelationServiceImpl {
    public Map<Long, List<String>> getItemByDiseaseMap(DiseaseItemVO diseaseItemVO) {
        Map<Long, List<String>> map = new HashMap<>();
        List<DiseaseItemDTO> dtoList = this.getItemByDisease(diseaseItemVO);
        if (ListUtil.isNotEmpty(dtoList)) {
            for (DiseaseItemDTO diseaseItemDTO : dtoList) {
                List<String> items = new ArrayList<>();
                if (null != map.get(diseaseItemDTO.getRelationId())) {
                    items.addAll(map.get(diseaseItemDTO.getRelationId()));
                }
                items.add(diseaseItemDTO.getItemName());
                map.put(diseaseItemDTO.getRelationId(), items);
            }
        }
        return map;
    }
}
