package com.diagbot.facade;

import com.diagbot.entity.wrapper.KlRuleMenuWrapper;
import com.diagbot.service.impl.KlRulePlanServiceImpl;
import com.diagbot.util.EntityUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.KlRuleMenuVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-09 10:17
 */
@Component
public class KlRulePlanFacade extends KlRulePlanServiceImpl {

    public List<KlRuleMenuWrapper> getMenu(KlRuleMenuVO klRuleMenuVO) {
        //添加菜单信息
        List<KlRuleMenuWrapper> menuList = getComeMenu(klRuleMenuVO);
        Map<Long, List<KlRuleMenuWrapper>> menuMap = EntityUtil.makeEntityListMap(menuList, "parentId");
        List<KlRuleMenuWrapper> menuRes = menuMap.get(-1L);
        if (ListUtil.isNotEmpty(menuRes)) {
            for (KlRuleMenuWrapper bean : menuRes) {
                getSonMenu(bean, menuMap);
            }
        }
        return  menuRes;
    }
    /**
     * 递归获取菜单结构
     *
     * @param menu    当前菜单
     * @param menuMap 菜单集
     * @return 菜单结构
     */
    public List<KlRuleMenuWrapper> getSonMenu(KlRuleMenuWrapper menu,
                                           Map<Long, List<KlRuleMenuWrapper>> menuMap) {
        List<KlRuleMenuWrapper> res = new ArrayList<>();
        List<KlRuleMenuWrapper> list = menuMap.get(menu.getId());
        if (ListUtil.isNotEmpty(list)) {
            menu.setSubMenuList(list);
            for (KlRuleMenuWrapper bean : list) {
                getSonMenu(bean, menuMap);
            }
        }
        return res;
    }
}
