package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.TranHospitalInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.TranHospitalInfoServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/11/19 15:21
 */
@Component
public class TranHospitalInfoFacade extends TranHospitalInfoServiceImpl {
//    @Cacheable(value = "cache", key = "'pushMode:' + #p0")
    public Integer getPushMode(Long hospitalId) {
        Integer pushMode = 0;
        QueryWrapper<TranHospitalInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("id", hospitalId);
        TranHospitalInfo tranHospitalInfo = this.getOne(queryWrapper, false);
        if (null != tranHospitalInfo) {
            pushMode = tranHospitalInfo.getPushMode();
        }
        return pushMode;
    }
}
