package com.diagbot.icss5;

import com.diagbot.biz.push.entity.MedicalIndication;
import com.diagbot.biz.push.entity.Treat;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Description: 推理出参
 * @Author:zhaops
 * @time: 2018/11/20 13:44
 */
@Getter
@Setter
public class PushDTO {
    /**
     * 症状
     */
    private List<ConceptPushDTO> symptom;
    /**
     * 体征结果
     */
    private List<ConceptPushDTO> vital;
    /**
     * 化验
     */
    private List<ConceptPushDTO> lab;
    /**
     * 辅检
     */
    private List<ConceptPushDTO> pacs;
    /**
     * 诊断
     */
    private Map<String, List<ConceptPushDTO>> dis;
    /**
     * 病情提示
     */
    private List<MedicalIndication> medicalIndications;
    /**
     * 治疗方案
     */
    private Treat treat;
    /**
     * 有无病情提示标志（0：无，1：有）
     */
    private String hasIndications;
}