package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiagnoseDTO;
import com.diagbot.dto.DiagnosesFindDTO;
import com.diagbot.dto.KlDiagnoseByIdDTO;
import com.diagbot.dto.KlDiagnoseInfoDTO;
import com.diagbot.entity.KlDiagnose;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.DiagnoseVO;
import com.diagbot.vo.DiagnosesFindVO;
import com.diagbot.vo.KlDiagnoseByIdVO;
import com.diagbot.vo.KlDiagnoseInfoVO;

import java.util.List;

/**
 * <p>
 * 诊断依据信息表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
public interface KlDiagnoseMapper extends BaseMapper<KlDiagnose> {
    //根据匹配的基础规则ID获取确诊、拟诊、警惕的疾病
    List<DiagnoseDTO> getDiagnoseByIds(DiagnoseVO diagnoseVO);

    IPage<KlDiagnoseInfoDTO> getKlDiagnosePages(KlDiagnoseInfoVO klDiagnoseInfoVO);

    List<KlDiagnoseByIdDTO> getByIdDiagnoses(KlDiagnoseByIdVO klDiagnoseByIdVO);

    List<DiagnosesFindDTO> findDiaNameAll(DiagnosesFindVO diagnosesFindVO);
}
