package com.diagbot.rule;

import com.diagbot.dto.BillMsg;
import com.diagbot.dto.RuleBaseDTO;
import com.diagbot.dto.RuleSimpleDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.util.MsgUtil;
import com.diagbot.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description: 性别规则
 * @author: zhoutg
 * @time: 2020/8/3 14:47
 */
@Component
public class SexRule {

    /**
     * 比较性别
     *
     * @param wordCrfDTO
     * @param ruleBaseDTO
     * @param billMsgList
     * @param conType
     * @param ruleSimpleDTO
     */
    public void bill(WordCrfDTO wordCrfDTO, RuleBaseDTO ruleBaseDTO, List<BillMsg> billMsgList, String conType,
                     RuleSimpleDTO ruleSimpleDTO) {
        if (getFlag(wordCrfDTO, ruleBaseDTO)) {
            BillMsg billMsg = MsgUtil.getCommonBillMsg(ruleSimpleDTO.getInputName(), ruleSimpleDTO.getLibName(),
                    ruleBaseDTO.getBaseLibName(), conType, ruleSimpleDTO.getLibTypeName());
            billMsgList.add(billMsg);
        }
    }

    /**
     * 匹配规则——返回状态
     *
     * @param wordCrfDTO
     * @param ruleBaseDTO
     * @return
     */
    public boolean getFlag(WordCrfDTO wordCrfDTO, RuleBaseDTO ruleBaseDTO) {
        String sex = ruleBaseDTO.getBaseLibName();
        if (StringUtil.isNotBlank(sex) && wordCrfDTO.getSex() != null) {
            String sexStr = "";
            if (1 == wordCrfDTO.getSex()) {
                sexStr = "男";
            } else if (2 == wordCrfDTO.getSex()) {
                sexStr = "女";
            }
            if (sex.equals(sexStr)) {
                return true;
            }
        }
        return false;
    }
}
