package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiagnoseDTO;
import com.diagbot.dto.DiagnosesFindDTO;
import com.diagbot.dto.KlDiagnoseByIdDTO;
import com.diagbot.dto.KlDiagnoseInfoDTO;
import com.diagbot.entity.KlDiagnose;
import com.diagbot.mapper.KlDiagnoseMapper;
import com.diagbot.service.KlDiagnoseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.DiagnoseVO;
import com.diagbot.vo.DiagnosesFindVO;
import com.diagbot.vo.KlDiagnoseByIdVO;
import com.diagbot.vo.KlDiagnoseInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断依据信息表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
@Service
public class KlDiagnoseServiceImpl extends ServiceImpl<KlDiagnoseMapper, KlDiagnose> implements KlDiagnoseService {
    //根据匹配的基础规则ID获取确诊、拟诊、警惕的疾病
    public List<DiagnoseDTO> getDiagnoseByIds(DiagnoseVO diagnoseVO){
        return baseMapper.getDiagnoseByIds(diagnoseVO);
    }

    @Override
    public IPage<KlDiagnoseInfoDTO> getKlDiagnosePages(KlDiagnoseInfoVO klDiagnoseInfoVO) {
        return baseMapper.getKlDiagnosePages(klDiagnoseInfoVO);
    }

    @Override
    public List<KlDiagnoseByIdDTO> getByIdDiagnoses(KlDiagnoseByIdVO klDiagnoseByIdVO) {
        return baseMapper.getByIdDiagnoses(klDiagnoseByIdVO);
    }

    @Override
    public List<DiagnosesFindDTO> findDiaNameAll(DiagnosesFindVO diagnosesFindVO) {
        return baseMapper.findDiaNameAll(diagnosesFindVO);
    }
}
