package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.KlRuleByIdDTO;
import com.diagbot.dto.KlRuleInfoDTO;
import com.diagbot.dto.RuleDTO;
import com.diagbot.entity.KlRule;
import com.diagbot.mapper.KlRuleMapper;
import com.diagbot.service.KlRuleService;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 规则信息表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlRuleServiceImpl extends ServiceImpl<KlRuleMapper, KlRule> implements KlRuleService {
    public List<RuleDTO> getAllRule() {
        return baseMapper.getAllRule();
    }

    @Override
    public IPage<KlRuleInfoDTO> getKlRuleInfoPages(KlRuleInfoVO klRuleInfoVO) {
        return baseMapper.getKlRuleInfoPage(klRuleInfoVO);
    }

    @Override
    public List<KlRuleByIdDTO> getByIdRuleInfo(KlRuleByIdVO klRuleByIdVO) {
        return baseMapper.getByIdRuleInfo(klRuleByIdVO);
    }
}
