/**   
* @Company: 杭州朗通信息技术有限公司 
* @Department: 系统软件部 
* @Description: 朗通智能辅助诊疗系统 
* @Address: 浙江省杭州市西湖区西斗门路3号 天堂软件园D-7B 
*/
package com.diagbot.util;

/**
* @Title: Constants.java 
* @Package org.diagbot.public 
* @Description: 通用常数接口定义  
* @author 楼辉荣(Fyeman)   
* @date 2015年4月23日 下午11:25:37 
* @version V1.0
 */
public interface Constants {
    /**
     * 操作名称
     */
    String OP_NAME = "op";
    /**
     * 消息key
     */
    String MESSAGE = "message";
    /**
     * 错误key
     */
    String ERROR = "error";
    /**
     * 上个页面地址
     */
    String BACK_URL = "BackURL";
    String IGNORE_BACK_URL = "ignoreBackURL";
    /**
     * 当前请求的地址 带参数
     */
    String CURRENT_URL = "currentURL";
    /**
     * 当前请求的地址 不带参数
     */
    String NO_QUERYSTRING_CURRENT_URL = "noQueryStringCurrentURL";
    /**
     * 上下文
     */
    String CONTEXT_PATH = "ctx";
    /**
     * 当前登录的用户
     */
    String CURRENT_APPLICATION = "c_app";
    String CURRENT_USER = "c_user";
    String CURRENT_USERNAME = "username";
    String USER_MENUS = "menus";
    
    /**
     * 管理控制台应用ID=0
     */
    long ADMIN_APPLICATION = 0;
    /**
     * 一级菜单grade标识
     */
    int FIRST_MENU = 1;
    /**
     * 二级菜单grade标识
     */
    int SECOND_MENU = 2;
    /**
     * 操作按钮等级标识
     */
    int MENU_GRADE = 3;
    /**
     * 最高级资源grade标识
     */
    int TOP_REC = 0;
    /**
     * 编码方式
     */
    String ENCODING = "UTF-8";
    /**
     * 系统用户状态--启用
     */
    int USER_STATUS_UNLOCK = 1;
    /**
     * 系统用户状态--禁用
     */
    int USER_STATUS_LOCK = 0;
    /**
     * 通用值0
     */
    int COMMON_INT_0 = 0;
    /**
     * 通用值1
     */
    int COMMON_INT_1 = 1;
    /**
     * 通用值-1
     */
    int COMMON_INT_NEG_1 = -1;
    /**
     * 通用值0
     */
    long COMMON_LONG_0 = 0L;
    /**
     * 通用值1
     */
    long COMMON_LONG_1 = 1L;
    /**
     * 通用值-1
     */
    long COMMON_LONG_NEG_1 = -1L;
    /**
     * 通用值"0"
     */
    String COMMON_STRING_0 = "0";
    /**
     * 通用值"1"
     */
    String COMMON_STRING_1 = "1";
    /**
     * 通用值"-1"
     */
    String COMMON_STRING_NEG_1 = "-1";
    
    /**
     * 通用值"-1"
     */
    String COMMON_STRING_99 = "99";
    /**
     * 登录页面
     */
    String LOGIN_URL = "/login";
    /**
     * 上传文件夹
     */
    String UPLOAD_FOLDER_NAME = "upload";
    /**
     * 临时文件夹
     */
    String TEMP_FOLDER_NAME = "temp";
    /**
     * 地域标示
     */
    public static final String DEFAULT_LOCALE = "zh_CN";
    /**
     * 缺省字符集
     */
    public static final String DEFAULT_ENCODE = "UTF-8";
    /**
     * 以下为接口返回公共属性定义常量
     */
    public static final String MSG_SUCCESS = "操作成功";	//操作成功
    public static final String MSG_FALURE = "操作失败";	//操作失败
    
    public static final long INVALIDATE_VALUE = -1;		//起止时间定义
    public static final int RET_SUCCESS = 0; 			//成功
	public static final int RET_FAIL = 1; 				//失败
	public static final int RET_ERROR_PARAM = -1; 		//参数校验失败
	public static final int RET_NO_TOKEN = -2; 	//用户token丢失
}
