package com.diagbot.util;

import com.diagbot.dto.PushBaseDTO;
import com.diagbot.model.entity.PD;
import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public class NeoUtil {

    private static String regex = "(.*)\\([a-zA-Z0-9]+\\)";

    public static PushBaseDTO updatePushInfo(String name) {
        PushBaseDTO pushBaseDTO = new PushBaseDTO();

        name = (null==name)?"":name;
        pushBaseDTO.setName(name);

        return pushBaseDTO;
    }

    public static BigDecimal DoubletoBigDecimal(Double val) {
        BigDecimal bd = null;
        if (null!=val) {
            bd = new BigDecimal(val.toString());
        }

        return bd;
    }

    public static BigDecimal StringtoBigDecimal(String val) {
        BigDecimal bd = null;
        if (StringUtil.isNotBlank(val)) {
            bd = new BigDecimal(val);
        }

        return bd;
    }

    /**
     * 性别、年龄匹配
     * @param disease
     * @param gender_code
     * @param age
     * @return
     */
    public static boolean matchBasic(Map<String,String> disease, int gender_code, double age){
        boolean match = true;
        if(disease != null){
            String gender_neo4j = disease.get("sex");
            String age_neo4j = disease.get("age");
            if((gender_neo4j != null && gender_neo4j.equals("1") && gender_code != 1) ||
                    (gender_neo4j != null && gender_neo4j.equals("2") && gender_code != 2)){
                match = false;
            }else if(age_neo4j != null ){
                String[] betweenAge = age_neo4j.split("-");
                if(betweenAge.length == 2 && (age < Double.parseDouble(betweenAge[0])
                        || age > Double.parseDouble(betweenAge[1]))){
                    match = false;
                }
            }
        }
        return match;
    }

    public static boolean matchDept(Map<String,String> disease, List<String> depts){
        boolean match = true;
        if(disease != null && ListUtil.isNotEmpty(depts)) {
            String deptgender_neo4j = disease.get("dept");
            if((depts.contains("妇科") && !deptgender_neo4j.equals("妇科"))
            || (depts.contains("产科") && !deptgender_neo4j.equals("产科"))){
                match = false;
            }
        }
        return match;
    }

    public static boolean matchPds(String disName, PD pd){
        boolean match = true;
        if(pd != null){
            String unit = pd.getUnit();
            String value = pd.getValue();
            if(StringUtils.isNotBlank(unit)){
                if((unit.contains("年") || unit.contains("月")) && disName.startsWith("急")){
                    match = false;
                }
                if((unit.contains("周") && (StringUtils.isNotBlank(value) && Integer.parseInt(value) > 2) && disName.startsWith("急"))
                || (unit.contains("周") && (StringUtils.isNotBlank(value) && Integer.parseInt(value) <= 2) && disName.startsWith("慢"))){
                    match = false;
                }
                if((unit.contains("天") && (StringUtils.isNotBlank(value) && Integer.parseInt(value) > 14) && disName.startsWith("急"))
                || (unit.contains("天") && (StringUtils.isNotBlank(value) && Integer.parseInt(value) <= 14) && disName.startsWith("慢"))){
                    match = false;
                }

            }else {
                if((value.equals("两年") || value.equals("两月") && disName.startsWith("急")) ||
                        ((value.equals("两天") || value.equals("两小时") && disName.startsWith("慢")))){
                    match = false;
                }
            }
        }
        return match;
    }

    public static void main(String[] args) {
        PD pd = new PD();
        pd.setValue("两月");
        pd.setUnit("");
        boolean b = matchPds("急性胰腺炎", pd);
        System.out.println(b);
    }

}
