package com.diagbot.util;

import com.diagbot.biz.push.entity.Lis;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 参数工具类
 * @author: zhoutg
 * @time: 2020/7/30 15:18
 */
@Slf4j
public class ParamUtil {

    /**
     * 化验结果设置
     *
     * @param list
     */
    public static void dealLis(List<Lis> list) {
        if (ListUtil.isEmpty(list)) {
            return ;
        }
        for (Lis lis : list) {
            String otherValue = lis.getOtherValue();
            Double value = lis.getValue();
            if (StringUtil.isNotBlank(otherValue)) {
                switch (otherValue) {
                    case "阳性":
                    case "阴性":
                        lis.setOtherValue(otherValue);
                        break;
                    case "+":
                    case "++":
                    case "+++":
                    case "++++":
                    case "阳":
                    case "阳（+）":
                    case "阳(+)":
                    case "阳性（+）":
                    case "阳性(+)":
                        lis.setOtherValue("阳性");
                        break;
                    case "-":
                    case "--":
                    case "---":
                    case "----":
                    case "阴":
                    case "阴（-）":
                    case "阴(-)":
                    case "阴性（-）":
                    case "阴性(-)":
                        lis.setOtherValue("阴性");
                        break;
                    default: // 其他类型
                        lis.setOtherValue(otherValue);
                        break;
                }
            } else if (value != null) {
                Double max = lis.getMaxValue();
                Double min = lis.getMinValue();
                if (max != null && max < value) {
                    lis.setOtherValue("升高");
                } else if (min != null && value < min) {
                    lis.setOtherValue("降低");
                } else {
                    lis.setOtherValue("正常");
                }
            }
        }
    }

    /**
     * 化验结果设置
     *
     * @param list
     */
    public static void dealLisIndication(List<Lis> list) {
        if (ListUtil.isEmpty(list)) {
            return ;
        }
        for (Lis lis : list) {
            String otherValue = lis.getOtherValue();
            if (StringUtil.isNotBlank(otherValue)) {
                switch (otherValue) {
                    case "+":
                    case "++":
                    case "+++":
                    case "++++":
                    case "阳":
                    case "阳（+）":
                    case "阳(+)":
                    case "阳性（+）":
                    case "阳性(+)":
                        lis.setResult(otherValue);
                        lis.setOtherValue("阳性");
                        break;
                    case "-":
                    case "--":
                    case "---":
                    case "----":
                    case "阴":
                    case "阴（-）":
                    case "阴(-)":
                    case "阴性（-）":
                    case "阴性(-)":
                        lis.setResult(otherValue);
                        lis.setOtherValue("阴性");
                        break;
                    default: // 其他类型
                        break;
                }
            }
        }
    }

    public static void main(String[] args) {
        List<Lis> lisList = new ArrayList<>();
        Lis lis1 = new Lis();
        lis1.setOtherValue("阳性");
        lisList.add(lis1);

        Lis lis2 = new Lis();
        lis2.setOtherValue("++");
        lisList.add(lis2);
        dealLis(lisList);

        Lis lis3 = new Lis();
        lis3.setMaxValue(10.0D);
        lis3.setMinValue(3.0D);
        lis3.setValue(1D);
        lisList.add(lis3);
        dealLis(lisList);

        Lis lis4 = new Lis();
        lis4.setOtherValue("-");
        lisList.add(lis4);
        dealLis(lisList);
        System.out.println(lisList);
    }

}
