package com.diagbot.vo;

import com.diagbot.biz.push.entity.FeatureRate;
import com.diagbot.entity.PreResult;
import com.diagbot.entity.Rule;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Icss推送入参
 * @author kwz
 * @date 2020/11/12
 * @time 10:20
 */
@Data
public class IcssVo {
    protected int length = 10;
    protected int age_start = 0;
    protected int age_end = 200;
    protected int age = 0;
    protected String sex;
    //婚姻
    protected String marriage;
    // 搜索结果的贝叶斯阈值
    protected String threshold = "0";
    //特征类别
    protected String featureType;
    //诊断类别
    protected Integer disType; //0:复诊,1:急诊
    //特征类别对","进行分割后数据
    protected String[] featureTypes;
    //门诊 住院分类
    protected String resourceType;
    //外部系统编码 用于返回映射数据，如果sysCode为空或null，则返回kl_standard_info标准名称
    protected String sysCode;

    protected String normal  = "";
    protected String chief  = "";
    protected String symptom = "";
    protected String vital = "";
    protected String pasts = "";
    protected String other = "";
    //传染病史
    protected String infectious = "";
    //手术外伤史
    protected String operation = "";
    //过敏史
    protected String allergy = "";
    //接种史
    protected String vaccination = "";
    //个人史
    protected String personal = "";
    //婚育史
    protected String marital = "";
    //家族史
    protected String family = "";
    //月经史
    protected String menstrual = "";
    //化验文本输入
    protected String lisString = "";
    //pacs文本输入
    protected String pacsString = "";
    //疾病文本输入
    protected String diagString = "";
    //药品文本输入
    protected String drugString = "";
    //lis结构化数据
    private List<PreResult> lis = new ArrayList<>();
    //pacs结构化数据
    private List<PreResult> pacs = new ArrayList<>();
    //diag结构化数据
    private List<PreResult> diag = new ArrayList<>();
    //drug结构化数据
    private List<PreResult> drug = new ArrayList<>();
    //当前开单lis项目
    protected List<PreResult> lisOrder = new ArrayList<>();
    //当前开单pacs项目
    protected List<PreResult> pacsOrder = new ArrayList<>();
    //当前开单诊断项目
    protected List<PreResult> diagOrder = new ArrayList<>();
    //当前开单药品项目
    protected List<PreResult> drugOrder = new ArrayList<>();
    //当前开单手术项目
    protected List<PreResult> operationOrder = new ArrayList<>();
    //当前开单其他 预留
    protected List<PreResult> otherOrder = new ArrayList<>();
    //大数据推送诊断结果信息
    protected List<FeatureRate> pushDiags = new ArrayList<>();
    //选中诊断
    private PreResult diseaseName = new PreResult();;
    //量表
    protected String scaleName = "";
    //指标结果
    protected String indications="";
    //模型
    protected String algorithmClassifyValue;
    //推送条件
    private Map<String, Map<String, String>> inputs = new HashMap<>(10, 0.8f);
    //知识图谱推送条件
    private Map<String, Map<String, String>> graphInputs = new HashMap<>(10, 0.8f);
    //阴性 页面录入数据需要对结果过滤的集合
    private Map<String, Map<String, String>> filters = new HashMap<>(10, 0.8f);
    //满足规则的ID集合
    private Map<String, List<Rule>> rules = new HashMap<>();
    //特征推送走的模型 1：机器学习 2：朴素贝叶斯
    private Integer algorithmType;
    //规则类型 1:危机值提醒，2：开单合理性，3：管理评估，4：不良反应，5：药物推荐，6：异常值
    private String ruleType;
}
