package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author kwz
 * @date 2021/3/10
 * @time 12:57
 */
@Setter
@Getter
public class SearchConceptVO {
    @ApiModelProperty(value="名称")
    @NotBlank(message = "请输入搜索名称")
    private String name;
    /**
     * 词性id
     */
    @ApiModelProperty(value="词性id")
    @NotNull(message ="请输入搜索词的词性" )
    private Integer libType;
    /**
     * 需要排除的概念id集合
     */
    @ApiModelProperty(value="需要排除的概念id集合")
    private List<Long> excludedConceptIds;
}
