package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/4/7 13:18
 */
@Getter
@Setter
public class StaticKnowledgeIndexPageVO extends Page {
    /**
     * 检索内容
     */
    @NotBlank(message = "请输入检索内容")
    private String inputStr;
    /**
     * 检索类型（多选）：0-全部、1-诊断、2-药品、3-检验、4-检查、5-手术和操作
     */
    @NotNull(message = "请输入检索类型")
    private List<Integer> types;

    @ApiModelProperty(hidden = true)
    private List<Integer> typeIds;
}
