package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.Cn2SpellDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.Cn2SpellFacade;
import com.diagbot.vo.Cn2SpellVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 拼音转化控制层
 * @author: gaodm
 * @time: 2020/9/22 16:01
 */
@RestController
@RequestMapping("/trans")
@Api(value = "拼音转化API", tags = { "拼音转化API" })
@SuppressWarnings("unchecked")
public class Cn2SpellController {
    @Autowired
    private Cn2SpellFacade cn2SpellFacade;

    @ApiOperation(value = "拼音转化拼音首字母[by:gaodm]",
            notes = "cnList: 汉字列表")
    @PostMapping("/cn2Spell")
    @SysLogger("cn2Spell")
    public RespDTO<Cn2SpellDTO> cn2Spell(@RequestBody Cn2SpellVO cn2SpellVO) {
        return RespDTO.onSuc(cn2SpellFacade.cn2Spell(cn2SpellVO));
    }
}
