package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.facade.IndicationFacade;
import com.diagbot.vo.IndicationPushVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description: crf转换控制层
 * @author: zhoutg
 * @time: 2018/8/30 10:12
 */
@RestController
@RequestMapping("/crf")
@Api(value = "crf转换API", tags = { "crf转换API" })
@SuppressWarnings("unchecked")
public class CrfController {

    @Autowired
    IndicationFacade indicationFacade;

    @ApiOperation(value = "CRF转换[zhoutg]", notes = "ruleType（1:危急值提醒，2:开单合理项，3:高危药品、手术，4:其他提醒）")
    @PostMapping("/getWordCrfDTO")
    public RespDTO<WordCrfDTO> getWordCrfDTO(@Valid @RequestBody IndicationPushVO indicationPushVO) {
        WordCrfDTO wordCrfDTO = indicationFacade.getWordCrfDTO(indicationPushVO);
        return RespDTO.onSuc(wordCrfDTO);
    }

}
