package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlDiagnoseImportFacade;
import com.diagbot.vo.DiagnoseImportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * @author zhoutg
 * @Description:
 * @date 2021-03-19 14:52
 */
@RestController
@RequestMapping("/klDiagnoseImport")
@Api(tags = { "A诊断依据导入API" })
@SuppressWarnings("unchecked")
public class KlDiagnoseImportController {

    @Autowired
    KlDiagnoseImportFacade klDiagnoseImportFacade;

    @ApiOperation(value = "诊断依据导入API[zhoutg]",
            notes = "diags：指定诊断名称导入")
    @PostMapping("/importDiagnose")
    @Transactional
    public RespDTO<Map<String, Object>> importDiagnose(@RequestParam("file") MultipartFile file, DiagnoseImportVO diagnoseImportVO) {
        return RespDTO.onSuc(klDiagnoseImportFacade.importDiagnose(file, diagnoseImportVO));
    }


}
