package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.GetAllForRelationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlConceptFacade;
import com.diagbot.vo.SearchConceptVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 疾病表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@RestController
@RequestMapping("/klDisease")
@SuppressWarnings("unchecked")
@Api(value = "诊断依据相关的类型术语相关API", tags = { "诊断依据相关的类型术语相关API" })
public class KlDiseaseController {

    @Autowired
    KlConceptFacade klConceptFacade;

    @ApiOperation(value = "查询诊断依据相关的类型术语[by:kongwz]",
            notes = "name: 查询术语的名称<br>" +
                    "libType: 查询术语的词性<br>" +
                    "excludedConceptIds: 需要排除的概念id集合")
    @PostMapping("/searchConcept")
    @SysLogger("searchConcept")
    public RespDTO<List<GetAllForRelationDTO>> searchConcept(@Valid @RequestBody SearchConceptVO searchConceptVO) {
        List<GetAllForRelationDTO> getAllForRelationDTOS = klConceptFacade.searchConceptByNameAndLibType(searchConceptVO);
        return RespDTO.onSuc(getAllForRelationDTOS);
    }

}
