package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.KlRulePlan;
import com.diagbot.entity.wrapper.KlRuleMenuWrapper;
import com.diagbot.facade.KlRulePlanFacade;
import com.diagbot.vo.KlRuleMenuVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-09
 */
@RestController
@Api(value = "规则下拉菜单API", tags = { "规则下拉菜单API" })
@RequestMapping("/klRulePlan")
@SuppressWarnings("unchecked")
public class KlRulePlanController {

    @Autowired
    KlRulePlanFacade klRulePlanFacade;

    @ApiOperation(value = "获取规则下拉菜单信息[by:wangfeng]",
            notes = "")
    @PostMapping("/getMenu")
    @SysLogger("getMenu")
    public RespDTO<List<KlRuleMenuWrapper>> getMenus(@RequestBody KlRuleMenuVO klRuleMenuVO) {
        return RespDTO.onSuc( klRulePlanFacade.getMenu(klRuleMenuVO));
    }
}
