package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.NLPFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/5/25 20:09
 */
@RequestMapping("/nlp")
@RestController
@SuppressWarnings("unchecked")
@Api(value = "NLP API", tags = { "NLP API" })
public class NLPController {
    @Autowired
    private NLPFacade nlpFacade;

    @ApiOperation(value = "NLP分词[by:gaodm]",
            notes = "")
    @PostMapping("/segment")
    @SysLogger("segment")
    public RespDTO<String> segment(String text){
        return RespDTO.onSuc(nlpFacade.segment(text));
    }

    @ApiOperation(value = "NLP分词放入组[by:zhoutg]",
            notes = "")
    @PostMapping("/getMap")
    @SysLogger("getMap")
    public RespDTO<Map> getMap(String text){
        return RespDTO.onSuc(nlpFacade.getMap(text));
    }

}
