package com.diagbot.web;


import com.diagbot.dto.RespDTO;
import com.diagbot.facade.TestwordInfoFacade;
import com.diagbot.vo.SymptomFeatureVO;
import com.diagbot.vo.TestStandVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 词提取用例 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2020-10-29
 */
@RestController
@RequestMapping("/testwordInfo")
@Api(value = "提词API", tags = { "提词API" })
@SuppressWarnings("unchecked")
public class TestwordInfoController {

    @Autowired
    TestwordInfoFacade testwordInfoFacade;

    //    @ApiOperation(value = "提词API[zhoutg]",
    //            notes = "提词API")
    //    @PostMapping("/getword")
    //    public RespDTO<Map<String, String>> getword(@RequestBody TestwordInfoVO testwordInfoVO) {
    //        return RespDTO.onSuc(testwordInfoFacade.getWord(testwordInfoVO));
    //    }

    @ApiOperation(value = "提词转换API[zhoutg]",
            notes = "提词转换API")
    @PostMapping("/wordConvert")
    public RespDTO<String> wordConvert() {
        testwordInfoFacade.wordConvert();
        return RespDTO.onSuc("执行完毕");
    }

    @ApiOperation(value = "提词转换【新版】API[zhoutg]",
            notes = "提词转换【新版】API")
    @PostMapping("/wordConvertNew")
    public RespDTO<String> wordConvertNew(@RequestBody TestStandVO testStandVO) {
        testwordInfoFacade.wordConvertNew(testStandVO);
        return RespDTO.onSuc("执行完毕");
    }

    @ApiOperation(value = "症状生成API[zhoutg]",
            notes = "症状生成API")
    @PostMapping("/getSymptom")
    @Transactional
    public RespDTO<String> getSymptom(SymptomFeatureVO symptomFeatureVO) {
        testwordInfoFacade.getSymptom(symptomFeatureVO);
        return RespDTO.onSuc("执行完毕");
    }

}
