package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.TranLisConfigIcssFacade;
import com.diagbot.icss5.LisConfigVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description: 公表映射配置API
 * @author: kongwz
 * @time: 2018/8/30 10:12
 */
@RestController
@RequestMapping("/tranLisConfig")
@SuppressWarnings("unchecked")
@Api(value = "公表映射配置API[by:kongwz]", tags = { "公表映射配置API" })

public class TranLisController {

    @Autowired
    private TranLisConfigIcssFacade tranLisConfigIcssFacade;

    @ApiOperation(value = "根据医院编码和套餐名称获取化验公表映射关系:[by:kongwz]",
            notes = "hosCode: 医院编码，必填<br>")
    @PostMapping("/getLisConfigByMealNameAndHosCode")
    @SysLogger("getLisConfigByMealNameAndHosCode")
    public RespDTO<Map<String, Map<String, List<String>>>> getLisConfigByMealNameAndHosCode(@RequestBody LisConfigVO lisConfigVO) {
        return RespDTO.onSuc(tranLisConfigIcssFacade.getLisConfigByMealNameAndHosCode(lisConfigVO));
    }

}
