USE `cdss`;

-- DROP TABLE IF EXISTS `tran_sys_set`;
-- CREATE TABLE `tran_sys_set` (
--   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
--   `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
--   `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
--   `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
--   `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
--   `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
--   `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
--   `name` varchar(100) DEFAULT NULL COMMENT '配置名称',
--   `code` varchar(100) DEFAULT NULL COMMENT '配置编码',
--   `value` varchar(255) DEFAULT NULL,
--   `remark` varchar(128) DEFAULT NULL COMMENT '备注',
--   PRIMARY KEY (`id`) USING BTREE,
--   KEY `idx_hospital_id` (`hospital_id`) USING BTREE
-- ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='医院所有配置信息';

DROP TABLE IF EXISTS `tran_tcmdisease_config`;
CREATE TABLE `tran_tcmdisease_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `his_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '医院项目名称',
  `unique_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '标准名称',
  `unique_code` varchar(255) DEFAULT NULL COMMENT '标准编码',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idx_his_name` (`hospital_id`,`his_name`) USING BTREE,
  KEY `idx_unique_name` (`hospital_id`,`unique_name`) USING BTREE,
  KEY `idx_hospital_id` (`hospital_id`) USING BTREE,
  KEY `idx_cnt` (`is_deleted`,`hospital_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='中医疾病映射表';

DROP TABLE IF EXISTS `tran_tcmsyndrome_config`;
CREATE TABLE `tran_tcmsyndrome_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `his_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '医院项目名称',
  `unique_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '标准名称',
  `unique_code` varchar(255) DEFAULT NULL COMMENT '标准编码',
  PRIMARY KEY (`id`),
  KEY `idx_his_name` (`hospital_id`,`his_name`) USING BTREE,
  KEY `idx_unique_name` (`hospital_id`,`unique_name`) USING BTREE,
  KEY `idx_hospital_id` (`hospital_id`) USING BTREE,
  KEY `idx_cnt` (`is_deleted`,`hospital_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='中医证候映射表';

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 14/05/2021 15:58:21
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '菜单名称',
  `parent_id` bigint(20) NOT NULL DEFAULT -1 COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '编码，与前端对应',
  `order_no` int(11) NOT NULL DEFAULT 0 COMMENT '排序，从小到大',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 20 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统菜单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语库维护', -1, 'CDSS-YXSYK', 1, '');
INSERT INTO `sys_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '系统配置', -1, 'CDSS-XTPZ', 2, '');
INSERT INTO `sys_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断关联维护', 1, 'YXSYK-ZDGLWH', 2, '医学术语库维护-诊断关联维护');
INSERT INTO `sys_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '检验关联维护', 1, 'YXSYK-JYGLWH', 3, '医学术语库维护-检验关联维护');
INSERT INTO `sys_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '检查关联维护', 1, 'YXSYK-JCGLWH', 4, '医学术语库维护-检验关联维护-检查关联维护');
INSERT INTO `sys_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品关联维护', 1, 'YXSYK-YPGLWH', 5, '');
INSERT INTO `sys_menu` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术/操作关联维护', 1, 'YXSYK-SSCZGLWH', 6, '');
INSERT INTO `sys_menu` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室关联维护', 1, 'YXSYK-KSGLWH', 8, '');
INSERT INTO `sys_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语静态知识维护', 1, 'YXSYK-JTZSWH', 1, '');
INSERT INTO `sys_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关联维护设置', 1, 'YXSYK-GLWH', 100, '');
INSERT INTO `sys_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电子病历方案配置', 2, 'XTPZ-DZBLFAPZ', 1, '');
INSERT INTO `sys_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血关联维护', 1, 'YXSYK-SXGLWH', 7, '');
INSERT INTO `sys_menu` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则维护', -1, 'CDSS-GZWH', 3, '规则维护');
INSERT INTO `sys_menu` VALUES (14, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '开单合理性规则维护', 13, 'GZWH-KDHLXGZWH', 1, '规则维护-开单合理性规则维护');
INSERT INTO `sys_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则维护', 13, 'GZWH-GZWH', 1, '规则维护-规则维护');
INSERT INTO `sys_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表关联维护', 1, 'YXSYK-LBGLWH', 9, '医学术语库维护-量表关联维护');
INSERT INTO `sys_menu` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理关联维护', 1, 'YXSYK-HLGLWH', 10, '医学术语库维护-护理关联维护');
INSERT INTO `sys_menu` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病关联维护', 1, 'YXSYK-ZYJBGLWH', 11, '医学术语库维护-中医疾病关联维护');
INSERT INTO `sys_menu` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候关联维护', 1, 'YXSYK-ZYZHGLWH', 12, '医学术语库维护-中医证候关联维护');

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 14/05/2021 15:58:33
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资源ID',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源名称',
  `code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源编码',
  `permissionUrl` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源Url',
  `method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'ALL' COMMENT '资源允许的请求方式',
  `descritpion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '资源描述',
  `type` int(11) NULL DEFAULT 0 COMMENT 'token验证，0关，1开',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 96 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统资源表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_permission
-- ----------------------------
INSERT INTO `sys_permission` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用户账号-获取用户、医院、菜单信息', 'FUNC000001', '/sys/user/getUserOrgMenu', 'ALL', '基础功能-用户账号-获取用户、医院、菜单信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改密码', 'FUNC000002', '/sys/user/midifyPassword', 'ALL', '基础功能-修改密码', 0, NULL);
INSERT INTO `sys_permission` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '根据医院获取方案配置信息', 'FUNC000003', '/sys/plan/getSysPlanInfoDatas', 'ALL', '根据医院获取方案配置信息', 1, NULL);
INSERT INTO `sys_permission` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-映射关系是否已存在', 'FUNC000004', '/tran/diseaseConfig/isExistRecord', 'ALL', '诊断公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-保存或修改映射关系', 'FUNC000005', '/tran/diseaseConfig/saveOrUpdateRecord', 'ALL', '诊断公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-批量保存或修改映射关系', 'FUNC000006', '/tran/diseaseConfig/saveOrUpdateRecords', 'ALL', '诊断公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-删除映射关系', 'FUNC000007', '/tran/diseaseConfig/deleteRecord', 'ALL', '诊断公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-批量删除映射关系', 'FUNC000008', '/tran/diseaseConfig/deleteRecords', 'ALL', '诊断公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-公表数据导入', 'FUNC000009', '/tran/diseaseConfig/importExcel', 'ALL', '诊断公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断公表映射-数据导出', 'FUNC000010', '/tran/diseaseConfig/exportExcel', 'ALL', '诊断公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-映射关系是否已存在', 'FUNC000011', '/tran/lisConfig/isExistRecord', 'ALL', '化验公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-保存或修改映射关系', 'FUNC000012', '/tran/lisConfig/saveOrUpdateRecord', 'ALL', '化验公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-批量保存或修改映射关系', 'FUNC000013', '/tran/lisConfig/saveOrUpdateRecords', 'ALL', '化验公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-删除映射关系', 'FUNC000014', '/tran/lisConfig/deleteRecord', 'ALL', '化验公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-批量删除映射关系', 'FUNC000015', '/tran/lisConfig/deleteRecords', 'ALL', '化验公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-公表数据导入', 'FUNC000016', '/tran/lisConfig/importExcel', 'ALL', '化验公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表映射-数据导出', 'FUNC000017', '/tran/lisConfig/exportExcel', 'ALL', '化验公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-映射关系是否已存在', 'FUNC000018', '/tran/pacsConfig/isExistRecord', 'ALL', '辅检公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-保存或修改映射关系', 'FUNC000019', '/tran/pacsConfig/saveOrUpdateRecord', 'ALL', '辅检公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-批量保存或修改映射关系', 'FUNC000020', '/tran/pacsConfig/saveOrUpdateRecords', 'ALL', '辅检公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-删除映射关系', 'FUNC000021', '/tran/pacsConfig/deleteRecord', 'ALL', '辅检公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-批量删除映射关系', 'FUNC000022', '/tran/pacsConfig/deleteRecords', 'ALL', '辅检公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-公表数据导入', 'FUNC000023', '/tran/pacsConfig/importExcel', 'ALL', '辅检公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检公表映射-数据导出', 'FUNC000024', '/tran/pacsConfig/exportExcel', 'ALL', '辅检公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-映射关系是否已存在', 'FUNC000025', '/tran/drugConfig/isExistRecord', 'ALL', '药品公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-保存或修改映射关系', 'FUNC000026', '/tran/drugConfig/saveOrUpdateRecord', 'ALL', '药品公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-批量保存或修改映射关系', 'FUNC000027', '/tran/drugConfig/saveOrUpdateRecords', 'ALL', '药品公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-删除映射关系', 'FUNC000028', '/tran/drugConfig/deleteRecord', 'ALL', '药品公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-批量删除映射关系', 'FUNC000029', '/tran/drugConfig/deleteRecords', 'ALL', '药品公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-公表数据导入', 'FUNC000030', '/tran/drugConfig/importExcel', 'ALL', '药品公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品公表映射-数据导出', 'FUNC000031', '/tran/drugConfig/exportExcel', 'ALL', '药品公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-映射关系是否已存在', 'FUNC000032', '/tran/operationConfig/isExistRecord', 'ALL', '手术公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-保存或修改映射关系', 'FUNC000033', '/tran/operationConfig/saveOrUpdateRecord', 'ALL', '手术公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-批量保存或修改映射关系', 'FUNC000034', '/tran/operationConfig/saveOrUpdateRecords', 'ALL', '手术公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-删除映射关系', 'FUNC000035', '/tran/operationConfig/deleteRecord', 'ALL', '手术公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-批量删除映射关系', 'FUNC000036', '/tran/operationConfig/deleteRecords', 'ALL', '手术公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-公表数据导入', 'FUNC000037', '/tran/operationConfig/importExcel', 'ALL', '手术公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术公表映射-数据导出', 'FUNC000038', '/tran/operationConfig/exportExcel', 'ALL', '手术公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-映射关系是否已存在', 'FUNC000039', '/tran/deptConfig/isExistRecord', 'ALL', '科室公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-保存或修改映射关系', 'FUNC000040', '/tran/deptConfig/saveOrUpdateRecord', 'ALL', '科室公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-批量保存或修改映射关系', 'FUNC000041', '/tran/deptConfig/saveOrUpdateRecords', 'ALL', '科室公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-删除映射关系', 'FUNC000042', '/tran/deptConfig/deleteRecord', 'ALL', '科室公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-批量删除映射关系', 'FUNC000043', '/tran/deptConfig/deleteRecords', 'ALL', '科室公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-公表数据导入', 'FUNC000044', '/tran/deptConfig/importExcel', 'ALL', '科室公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室公表映射-数据导出', 'FUNC000045', '/tran/deptConfig/exportExcel', 'ALL', '科室公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-医学术语检索-新增静态知识', 'FUNC000046', '/kl/conceptInfo/staticKnowledgeIndexWithoutInfo', 'ALL', '静态知识标准术语-医学术语检索-新增静态知识', 0, NULL);
INSERT INTO `sys_permission` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-获取静态知识列表', 'FUNC000047', '/kl/conceptInfo/getPage', 'ALL', '静态知识标准术语-获取静态知识列表', 0, NULL);
INSERT INTO `sys_permission` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-保存静态知识-新增或修改', 'FUNC000048', '/kl/conceptInfo/saveOrUpdateRecord', 'ALL', '静态知识标准术语-保存静态知识-新增或修改', 0, NULL);
INSERT INTO `sys_permission` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-静态知识启用禁用', 'FUNC000049', '/kl/conceptInfo/changeStatus', 'ALL', '静态知识标准术语-静态知识启用禁用', 0, NULL);
INSERT INTO `sys_permission` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-静态知识是否存在', 'FUNC000050', '/kl/conceptInfo/isExist', 'ALL', '静态知识标准术语-静态知识是否存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识标准术语-根据术语id获取静态信息', 'FUNC000051', '/kl/conceptInfo/getRecordById', 'ALL', '静态知识标准术语-根据术语id获取静态信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关联维护设置-医院信息——修改医院信息', 'FUNC000052', '/tran/hospitalInfo/saveRecord', 'ALL', '关联维护设置-医院信息——修改医院信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-保存更新方案配置信息', 'FUNC000053', '/sys/plan/savePlanInfoDatas', 'ALL', '方案配置信息-保存更新方案配置信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-删除方案配置信息', 'FUNC000054', '/sys/plan/cancelPlanDatas', 'ALL', '方案配置信息-删除方案配置信息', 0, NULL);
INSERT INTO `sys_permission` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-停用启用方案配置', 'FUNC000055', '/sys/plan/revStopPlans', 'ALL', '方案配置信息-停用启用方案配置', 0, NULL);
INSERT INTO `sys_permission` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息-获取默认方案配置', 'FUNC000056', '/sys/plan/getDefaultPlans', 'ALL', '方案配置信息-获取默认方案配置', 0, NULL);
INSERT INTO `sys_permission` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-根据医院编码获取配置信息明细', 'FUNC000057', '/sys/planDetail/getPlanDetailDatas', 'ALL', '方案配置信息明细-根据医院编码获取配置信息明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-保存更新方案配置信息明细', 'FUNC000058', '/sys/planDetail/savePlanDetails', 'ALL', '方案配置信息明细-保存更新方案配置信息明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-删除方案配置明细', 'FUNC000059', '/sys/planDetail/cancelPlanDetails', 'ALL', '方案配置信息明细-删除方案配置明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方案配置信息明细-停用启用方案配置明细', 'FUNC000060', '/sys/planDetail/revStopPlanDetails', 'ALL', '方案配置信息明细-停用启用方案配置明细', 0, NULL);
INSERT INTO `sys_permission` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-映射关系是否已存在', 'FUNC000061', '/tran/transfusionConfig/isExistRecord', 'ALL', '输血公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-保存或修改映射关系', 'FUNC000062', '/tran/transfusionConfig/saveOrUpdateRecord', 'ALL', '输血公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-批量保存或修改映射关系', 'FUNC000063', '/tran/transfusionConfig/saveOrUpdateRecords', 'ALL', '输血公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-删除映射关系', 'FUNC000064', '/tran/transfusionConfig/deleteRecord', 'ALL', '输血公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-批量删除映射关系', 'FUNC000065', '/tran/transfusionConfig/deleteRecords', 'ALL', '输血公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-公表数据导入', 'FUNC000066', '/tran/transfusionConfig/importExcel', 'ALL', '输血公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血公表映射-数据导出', 'FUNC000067', '/tran/transfusionConfig/exportExcel', 'ALL', '输血公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-映射关系是否已存在', 'FUNC000068', '/tran/scaleConfig/isExistRecord', 'ALL', '量表公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-保存或修改映射关系', 'FUNC000069', '/tran/scaleConfig/saveOrUpdateRecord', 'ALL', '量表公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-批量保存或修改映射关系', 'FUNC000070', '/tran/scaleConfig/saveOrUpdateRecords', 'ALL', '量表公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-删除映射关系', 'FUNC000071', '/tran/scaleConfig/deleteRecord', 'ALL', '量表公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-批量删除映射关系', 'FUNC000072', '/tran/scaleConfig/deleteRecords', 'ALL', '量表公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-公表数据导入', 'FUNC000073', '/tran/scaleConfig/importExcel', 'ALL', '量表公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表公表映射-数据导出', 'FUNC000074', '/tran/scaleConfig/exportExcel', 'ALL', '量表公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (75, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理公表映射-映射关系是否已存在', 'FUNC000075', '/tran/nurseConfig/isExistRecord', 'ALL', '护理公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (76, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理公表映射-保存或修改映射关系', 'FUNC000076', '/tran/nurseConfig/saveOrUpdateRecord', 'ALL', '护理公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理公表映射-批量保存或修改映射关系', 'FUNC000077', '/tran/nurseConfig/saveOrUpdateRecords', 'ALL', '护理公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (78, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理公表映射-删除映射关系', 'FUNC000078', '/tran/nurseConfig/deleteRecord', 'ALL', '护理公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理公表映射-批量删除映射关系', 'FUNC000079', '/tran/nurseConfig/deleteRecords', 'ALL', '护理公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理公表映射-公表数据导入', 'FUNC000080', '/tran/nurseConfig/importExcel', 'ALL', '护理公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理公表映射-数据导出', 'FUNC000081', '/tran/nurseConfig/exportExcel', 'ALL', '护理公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病公表映射-映射关系是否已存在', 'FUNC000082', '/tran/tcmdiseaseConfig/isExistRecord', 'ALL', '中医疾病公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病公表映射-保存或修改映射关系', 'FUNC000083', '/tran/tcmdiseaseConfig/saveOrUpdateRecord', 'ALL', '中医疾病公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病公表映射-批量保存或修改映射关系', 'FUNC000084', '/tran/tcmdiseaseConfig/saveOrUpdateRecords', 'ALL', '中医疾病公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病公表映射-删除映射关系', 'FUNC000085', '/tran/tcmdiseaseConfig/deleteRecord', 'ALL', '中医疾病公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病公表映射-批量删除映射关系', 'FUNC000086', '/tran/tcmdiseaseConfig/deleteRecords', 'ALL', '中医疾病公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病公表映射-公表数据导入', 'FUNC000087', '/tran/tcmdiseaseConfig/importExcel', 'ALL', '中医疾病公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医疾病公表映射-数据导出', 'FUNC000088', '/tran/tcmdiseaseConfig/exportExcel', 'ALL', '中医疾病公表映射-数据导出', 0, NULL);
INSERT INTO `sys_permission` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候公表映射-映射关系是否已存在', 'FUNC000089', '/tran/tcmsyndromeConfig/isExistRecord', 'ALL', '中医证候公表映射-映射关系是否已存在', 0, NULL);
INSERT INTO `sys_permission` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候公表映射-保存或修改映射关系', 'FUNC000090', '/tran/tcmsyndromeConfig/saveOrUpdateRecord', 'ALL', '中医证候公表映射-保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候公表映射-批量保存或修改映射关系', 'FUNC000091', '/tran/tcmsyndromeConfig/saveOrUpdateRecords', 'ALL', '中医证候公表映射-批量保存或修改映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候公表映射-删除映射关系', 'FUNC000092', '/tran/tcmsyndromeConfig/deleteRecord', 'ALL', '中医证候公表映射-删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (93, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候公表映射-批量删除映射关系', 'FUNC000093', '/tran/tcmsyndromeConfig/deleteRecords', 'ALL', '中医证候公表映射-批量删除映射关系', 0, NULL);
INSERT INTO `sys_permission` VALUES (94, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候公表映射-公表数据导入', 'FUNC000094', '/tran/tcmsyndromeConfig/importExcel', 'ALL', '中医证候公表映射-公表数据导入', 0, NULL);
INSERT INTO `sys_permission` VALUES (95, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医证候公表映射-数据导出', 'FUNC000095', '/tran/tcmsyndromeConfig/exportExcel', 'ALL', '中医证候公表映射-数据导出', 0, NULL);

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 14/05/2021 16:00:04
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_menu_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_permission`;
CREATE TABLE `sys_menu_permission`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `menu_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '菜单id',
  `permission_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '系统资源id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 93 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单和系统资源的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu_permission
-- ----------------------------
INSERT INTO `sys_menu_permission` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 4, '基础功能-修改密码');
INSERT INTO `sys_menu_permission` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 5, '根据医院获取方案配置信息');
INSERT INTO `sys_menu_permission` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 6, '诊断公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 7, '诊断公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 8, '诊断公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 9, '诊断公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 10, '诊断公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 11, '化验公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 12, '化验公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 13, '化验公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 14, '化验公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 15, '化验公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 16, '化验公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 17, '化验公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 18, '辅检公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 19, '辅检公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 20, '辅检公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 21, '辅检公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 22, '辅检公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 23, '辅检公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 24, '辅检公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 25, '药品公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 26, '药品公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 27, '药品公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 28, '药品公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 29, '药品公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 30, '药品公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 31, '药品公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 32, '手术公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 33, '手术公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 34, '手术公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 35, '手术公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 36, '手术公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 37, '手术公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 38, '手术公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 39, '科室公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 40, '科室公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 41, '科室公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 42, '科室公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 43, '科室公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 44, '科室公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 45, '科室公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 46, '静态知识标准术语-医学术语检索-新增静态知识');
INSERT INTO `sys_menu_permission` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 47, '静态知识标准术语-获取静态知识列表');
INSERT INTO `sys_menu_permission` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 48, '静态知识标准术语-保存静态知识-新增或修改');
INSERT INTO `sys_menu_permission` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 49, '静态知识标准术语-静态知识启用禁用');
INSERT INTO `sys_menu_permission` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 50, '静态知识标准术语-静态知识是否存在');
INSERT INTO `sys_menu_permission` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 51, '静态知识标准术语-根据术语id获取静态信息');
INSERT INTO `sys_menu_permission` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, 52, '关联维护设置-医院信息——修改医院信息');
INSERT INTO `sys_menu_permission` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 53, '方案配置信息-保存更新方案配置信息');
INSERT INTO `sys_menu_permission` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 54, '方案配置信息-删除方案配置信息');
INSERT INTO `sys_menu_permission` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 55, '方案配置信息-停用启用方案配置');
INSERT INTO `sys_menu_permission` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 56, '方案配置信息-获取默认方案配置');
INSERT INTO `sys_menu_permission` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 57, '方案配置信息明细-根据医院编码获取配置信息明细');
INSERT INTO `sys_menu_permission` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 58, '方案配置信息明细-保存更新方案配置信息明细');
INSERT INTO `sys_menu_permission` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 59, '方案配置信息明细-删除方案配置明细');
INSERT INTO `sys_menu_permission` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 60, '方案配置信息明细-停用启用方案配置明细');
INSERT INTO `sys_menu_permission` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 61, '输血公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 62, '输血公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 63, '输血公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 64, '输血公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 65, '输血公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 66, '输血公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 67, '输血公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 68, '量表公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 69, '量表公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 70, '量表公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 71, '量表公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 72, '量表公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 73, '量表公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 74, '量表公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 75, '护理公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 76, '护理公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 77, '护理公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (75, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 78, '护理公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (76, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 79, '护理公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 80, '护理公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (78, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 81, '护理公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 18, 82, '中医疾病公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 18, 83, '中医疾病公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 18, 84, '中医疾病公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 18, 85, '中医疾病公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 18, 86, '中医疾病公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 18, 87, '中医疾病公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 18, 88, '中医疾病公表映射-数据导出');
INSERT INTO `sys_menu_permission` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 19, 89, '中医证候公表映射-映射关系是否已存在');
INSERT INTO `sys_menu_permission` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 19, 90, '中医证候公表映射-保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 19, 91, '中医证候公表映射-批量保存或修改映射关系');
INSERT INTO `sys_menu_permission` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 19, 92, '中医证候公表映射-删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 19, 93, '中医证候公表映射-批量删除映射关系');
INSERT INTO `sys_menu_permission` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 19, 94, '中医证候公表映射-公表数据导入');
INSERT INTO `sys_menu_permission` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 19, 95, '中医证候公表映射-数据导出');

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 14/05/2021 15:59:53
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '角色id',
  `menu_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '菜单id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 20 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 1, NULL);
INSERT INTO `sys_role_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 2, NULL);
INSERT INTO `sys_role_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 3, NULL);
INSERT INTO `sys_role_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 4, NULL);
INSERT INTO `sys_role_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 5, NULL);
INSERT INTO `sys_role_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 6, NULL);
INSERT INTO `sys_role_menu` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 7, NULL);
INSERT INTO `sys_role_menu` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 8, NULL);
INSERT INTO `sys_role_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 9, NULL);
INSERT INTO `sys_role_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 10, NULL);
INSERT INTO `sys_role_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 11, NULL);
INSERT INTO `sys_role_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 12, NULL);
INSERT INTO `sys_role_menu` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 13, NULL);
INSERT INTO `sys_role_menu` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 14, NULL);
INSERT INTO `sys_role_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 15, NULL);
INSERT INTO `sys_role_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 16, NULL);
INSERT INTO `sys_role_menu` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 17, NULL);
INSERT INTO `sys_role_menu` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 18, NULL);
INSERT INTO `sys_role_menu` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 19, NULL);

SET FOREIGN_KEY_CHECKS = 1;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : cdss

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 14/05/2021 16:00:18
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '角色id',
  `permission_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '资源id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 96 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和资源的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_permission
-- ----------------------------
INSERT INTO `sys_role_permission` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 1, '基础功能-用户账号-获取用户、医院、菜单信息');
INSERT INTO `sys_role_permission` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 2, '修改密码');
INSERT INTO `sys_role_permission` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 3, '根据医院获取方案配置信息');
INSERT INTO `sys_role_permission` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 4, '诊断公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 5, '诊断公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 6, '诊断公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 7, '诊断公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 8, '诊断公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 9, '诊断公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 10, '诊断公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 11, '化验公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 12, '化验公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 13, '化验公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 14, '化验公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 15, '化验公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 16, '化验公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 17, '化验公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 18, '辅检公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 19, '辅检公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 20, '辅检公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 21, '辅检公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 22, '辅检公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 23, '辅检公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 24, '辅检公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 25, '药品公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (26, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 26, '药品公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 27, '药品公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 28, '药品公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 29, '药品公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 30, '药品公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 31, '药品公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 32, '手术公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 33, '手术公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 34, '手术公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 35, '手术公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (36, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 36, '手术公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 37, '手术公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 38, '手术公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 39, '科室公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 40, '科室公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 41, '科室公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 42, '科室公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 43, '科室公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (44, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 44, '科室公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 45, '科室公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 46, '静态知识标准术语-医学术语检索-新增静态知识');
INSERT INTO `sys_role_permission` VALUES (47, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 47, '静态知识标准术语-获取静态知识列表');
INSERT INTO `sys_role_permission` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 48, '静态知识标准术语-保存静态知识-新增或修改');
INSERT INTO `sys_role_permission` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 49, '静态知识标准术语-静态知识启用禁用');
INSERT INTO `sys_role_permission` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 50, '静态知识标准术语-静态知识是否存在');
INSERT INTO `sys_role_permission` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 51, '静态知识标准术语-根据术语id获取静态信息');
INSERT INTO `sys_role_permission` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 52, '关联维护设置-医院信息——修改医院信息');
INSERT INTO `sys_role_permission` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 53, '方案配置信息-保存更新方案配置信息');
INSERT INTO `sys_role_permission` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 54, '方案配置信息-删除方案配置信息');
INSERT INTO `sys_role_permission` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 55, '方案配置信息-停用启用方案配置');
INSERT INTO `sys_role_permission` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 56, '方案配置信息-获取默认方案配置');
INSERT INTO `sys_role_permission` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 57, '方案配置信息明细-根据医院编码获取配置信息明细');
INSERT INTO `sys_role_permission` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 58, '方案配置信息明细-保存更新方案配置信息明细');
INSERT INTO `sys_role_permission` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 59, '方案配置信息明细-删除方案配置明细');
INSERT INTO `sys_role_permission` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 60, '方案配置信息明细-停用启用方案配置明细');
INSERT INTO `sys_role_permission` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 61, '输血公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 62, '输血公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 63, '输血公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 64, '输血公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 65, '输血公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 66, '输血公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 67, '输血公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 68, '量表公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 69, '量表公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 70, '量表公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 71, '量表公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 72, '量表公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 73, '量表公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 74, '量表公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (75, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 75, '护理公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (76, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 76, '护理公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 77, '护理公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (78, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 78, '护理公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 79, '护理公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 80, '护理公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 81, '护理公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 82, '中医疾病公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 83, '中医疾病公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 84, '中医疾病公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 85, '中医疾病公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 86, '中医疾病公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 87, '中医疾病公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 88, '中医疾病公表映射-数据导出');
INSERT INTO `sys_role_permission` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 89, '中医证候公表映射-映射关系是否已存在');
INSERT INTO `sys_role_permission` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 90, '中医证候公表映射-保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 91, '中医证候公表映射-批量保存或修改映射关系');
INSERT INTO `sys_role_permission` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 92, '中医证候公表映射-删除映射关系');
INSERT INTO `sys_role_permission` VALUES (93, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 93, '中医证候公表映射-批量删除映射关系');
INSERT INTO `sys_role_permission` VALUES (94, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 94, '中医证候公表映射-公表数据导入');
INSERT INTO `sys_role_permission` VALUES (95, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 95, '中医证候公表映射-数据导出');

SET FOREIGN_KEY_CHECKS = 1;


DELETE a FROM tran_plan_detail a WHERE  a.hospital_id = -1  ;

INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('2', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('7', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '智能警示', 'tips', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '开单合理性', 'rationali', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '高危', 'highrisk ', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '危急值提醒', 'crivalue', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '其他提醒', 'otherremind', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '病历书写规范提示', 'casewriting', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐症状', 'symptom', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '智能诊断', 'diag', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐体格检查', 'vital', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐检验', 'lis', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐检查', 'pacs', '1', '5', '12', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐量表', 'evaluation', '1', '5', '13', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '一般治疗', 'general', '1', NULL, '14', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐用药', 'medicine', '1', '5', '15', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐手术/操作', 'operation', '1', '5', '16', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '1', '推荐护理', 'nurse', '1', '5', '17', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '5', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '5', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '-1', '5', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('101', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('106', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '智能警示', 'tips', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '开单合理性', 'rationali', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '高危', 'highrisk ', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '危急值提醒', 'crivalue', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '其他提醒', 'otherremind', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '病历书写规范提示', 'casewriting', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '智能诊断', 'diag', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '推荐检验', 'lis', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '推荐检查', 'pacs', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '100', '推荐量表', 'evaluation', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '104', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '104', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '104', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('120', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '推荐症状', 'symptom', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('126', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '智能警示', 'tips', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '开单合理性', 'rationali', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '高危', 'highrisk ', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '危急值提醒', 'crivalue', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '其他提醒', 'otherremind', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '病历书写规范提示', 'casewriting', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '智能诊断', 'diag', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '推荐检验', 'lis', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '推荐检查', 'pacs', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '119', '推荐量表', 'evaluation', '1', '5', '12', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '123', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '123', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '123', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('140', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '推荐症状', 'symptom', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('146', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '智能警示', 'tips', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '开单合理性', 'rationali', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '高危', 'highrisk ', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '危急值提醒', 'crivalue', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '其他提醒', 'otherremind', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '病历书写规范提示', 'casewriting', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '智能诊断', 'diag', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '推荐检验', 'lis', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '推荐检查', 'pacs', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '139', '推荐量表', 'evaluation', '1', '5', '12', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '143', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '143', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '143', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('160', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('165', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '智能警示', 'tips', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '开单合理性', 'rationali', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '高危', 'highrisk ', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '危急值提醒', 'crivalue', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '其他提醒', 'otherremind', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '病历书写规范提示', 'casewriting', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '智能诊断', 'diag', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '推荐检验', 'lis', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '推荐检查', 'pacs', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '159', '推荐量表', 'evaluation', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '163', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '163', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '163', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('179', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '推荐体格检查', 'vital', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('185', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '智能警示', 'tips', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '开单合理性', 'rationali', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '高危', 'highrisk ', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '危急值提醒', 'crivalue', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '其他提醒', 'otherremind', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '病历书写规范提示', 'casewriting', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '智能诊断', 'diag', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '推荐检验', 'lis', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '推荐检查', 'pacs', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '178', '推荐量表', 'evaluation', '1', '5', '12', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '182', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '182', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '182', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('199', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '推荐检验', 'lis', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('205', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '智能警示', 'tips', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '开单合理性', 'rationali', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '高危', 'highrisk ', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '危急值提醒', 'crivalue', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '其他提醒', 'otherremind', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '病历书写规范提示', 'casewriting', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '智能诊断', 'diag', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '推荐检查', 'pacs', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '198', '推荐量表', 'evaluation', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '202', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '202', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '202', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('218', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '推荐检查', 'pacs', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('224', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '智能警示', 'tips', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '开单合理性', 'rationali', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '高危', 'highrisk ', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '危急值提醒', 'crivalue', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '其他提醒', 'otherremind', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '病历书写规范提示', 'casewriting', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '智能诊断', 'diag', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '推荐检验', 'lis', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '217', '推荐量表', 'evaluation', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '221', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '221', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '221', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('237', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '智能诊断', 'diag', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('243', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '智能警示', 'tips', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '开单合理性', 'rationali', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '高危', 'highrisk ', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '危急值提醒', 'crivalue', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '其他提醒', 'otherremind', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '病历书写规范提示', 'casewriting', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '推荐检验', 'lis', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '推荐检查', 'pacs', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '推荐量表', 'evaluation', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '一般治疗', 'general', '1', NULL, '12', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '推荐用药', 'medicine', '1', '5', '13', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '推荐手术/操作', 'operation', '1', '5', '14', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '236', '推荐护理', 'nurse', '1', '5', '15', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '240', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '240', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '240', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('260', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '危急重症提醒', 'critical', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '一般治疗', 'general', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '推荐用药', 'medicine', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '推荐手术/操作', 'operation', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('268', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '智能警示', 'tips', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '开单合理性', 'rationali', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '高危', 'highrisk ', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '危急值提醒', 'crivalue', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '其他提醒', 'otherremind', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '病历书写规范提示', 'casewriting', '1', '5', '10', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '推荐检验', 'lis', '1', '5', '11', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '推荐检查', 'pacs', '1', '5', '12', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '259', '推荐量表', 'evaluation', '1', '5', '13', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '263', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '263', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '263', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '-1', '辅助信息', 'auxiliary', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('281', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '-1', '病历质控', 'qc', '1', NULL, '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '-1', '医学知识', 'medical', '1', NULL, '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '-1', '随访计划', 'followup', '1', NULL, '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '-1', '中医辅助', 'tcmiss', '1', NULL, '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('285', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '智能警示', 'tips', '1', '5', '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '开单合理性', 'rationali', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '高危', 'highrisk ', '1', '5', '3', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '危急值提醒', 'crivalue', '1', '5', '4', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '其他提醒', 'otherremind', '1', '5', '5', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '病历书写规范提示', 'casewriting', '1', '5', '6', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '智能诊断', 'diag', '1', '5', '7', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '推荐检验', 'lis', '1', '5', '8', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '280', '推荐检查', 'pacs', '1', '5', '9', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '284', '病症推导', 'conditionder', '1', NULL, '1', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '284', '中药处方推荐', 'treatment', '1', '5', '2', NULL, NULL);
INSERT INTO `cdss`.`tran_plan_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `plan_id`, `parent_id`, `name`, `code`, `status`, `number`, `order_no`, `value`, `remark`) VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '284', '中医知识库', 'tcmknowledge', '1', NULL, '3', NULL, NULL);
UPDATE `cdss`.`tran_plan_detail` SET `number` = '3' WHERE NAME = '中药处方推荐';